module LMS
  COURSE_REQUIRED_ENDPOINTS = [
    "GET_COURSE_LEVEL_PARTICIPATION_DATA",
    "GET_COURSE_LEVEL_ASSIGNMENT_DATA",
    "GET_COURSE_LEVEL_STUDENT_SUMMARY_DATA",
    "GET_USER_IN_A_COURSE_LEVEL_PARTICIPATION_DATA",
    "GET_USER_IN_A_COURSE_LEVEL_ASSIGNMENT_DATA",
    "GET_USER_IN_A_COURSE_LEVEL_MESSAGING_DATA",
    "LIST_EXTERNAL_FEEDS_COURSES",
    "CREATE_EXTERNAL_FEED_COURSES",
    "DELETE_EXTERNAL_FEED_COURSES",
    "SET_EXTENSIONS_FOR_STUDENT_ASSIGNMENT_SUBMISSIONS",
    "LIST_ASSIGNMENT_GROUPS",
    "GET_ASSIGNMENT_GROUP",
    "CREATE_ASSIGNMENT_GROUP",
    "EDIT_ASSIGNMENT_GROUP",
    "DESTROY_ASSIGNMENT_GROUP",
    "DELETE_ASSIGNMENT",
    "LIST_ASSIGNMENTS_ASSIGNMENTS",
    "LIST_ASSIGNMENTS_ASSIGNMENT_GROUPS",
    "LIST_ASSIGNMENTS_FOR_USER",
    "DUPLICATE_ASSIGNNMENT",
    "GET_SINGLE_ASSIGNMENT",
    "CREATE_ASSIGNMENT",
    "EDIT_ASSIGNMENT",
    "BULK_UPDATE_ASSIGNMENT_DATES",
    "LIST_ASSIGNMENT_OVERRIDES",
    "GET_SINGLE_ASSIGNMENT_OVERRIDE",
    "CREATE_ASSIGNMENT_OVERRIDE",
    "UPDATE_ASSIGNMENT_OVERRIDE",
    "DELETE_ASSIGNMENT_OVERRIDE",
    "BATCH_RETRIEVE_OVERRIDES_IN_COURSE",
    "BATCH_CREATE_OVERRIDES_IN_COURSE",
    "BATCH_UPDATE_OVERRIDES_IN_COURSE",
    "GET_BLUEPRINT_INFORMATION",
    "GET_ASSOCIATED_COURSE_INFORMATION",
    "UPDATE_ASSOCIATED_COURSES",
    "BEGIN_MIGRATION_TO_PUSH_TO_ASSOCIATED_COURSES",
    "SET_OR_REMOVE_RESTRICTIONS_ON_BLUEPRINT_COURSE_OBJECT",
    "GET_UNSYNCED_CHANGES",
    "LIST_BLUEPRINT_MIGRATIONS",
    "SHOW_BLUEPRINT_MIGRATION",
    "GET_MIGRATION_DETAILS",
    "LIST_BLUEPRINT_SUBSCRIPTIONS",
    "LIST_BLUEPRINT_IMPORTS",
    "SHOW_BLUEPRINT_IMPORT",
    "GET_IMPORT_DETAILS",
    "SET_COURSE_TIMETABLE",
    "GET_COURSE_TIMETABLE",
    "CREATE_OR_UPDATE_EVENTS_DIRECTLY_FOR_COURSE_TIMETABLE",
    "LIST_COLLABORATIONS_COURSES",
    "LIST_POTENTIAL_MEMBERS_COURSES",
    "LIST_CONFERENCES_COURSES",
    "LIST_CONTENT_EXPORTS_COURSES",
    "SHOW_CONTENT_EXPORT_COURSES",
    "EXPORT_CONTENT_COURSES",
    "LIST_MIGRATION_ISSUES_COURSES",
    "GET_MIGRATION_ISSUE_COURSES",
    "UPDATE_MIGRATION_ISSUE_COURSES",
    "LIST_CONTENT_MIGRATIONS_COURSES",
    "GET_CONTENT_MIGRATION_COURSES",
    "CREATE_CONTENT_MIGRATION_COURSES",
    "UPDATE_CONTENT_MIGRATION_COURSES",
    "LIST_MIGRATION_SYSTEMS_COURSES",
    "LIST_ITEMS_FOR_SELECTIVE_IMPORT_COURSES",
    "GET_CURRENT_SETTINGS_FOR_ACCOUNT_OR_COURSE_COURSES",
    "ENABLE_DISABLE_OR_CLEAR_EXPLICIT_CSP_SETTING_COURSES",
    "COURSE_AUDIT_LOG_QUERY_BY_COURSE",
    "COURSE_QUIZ_EXTENSIONS_SET_EXTENSIONS_FOR_STUDENT_QUIZ_SUBMISSIONS",
    "GET_USER_PROGRESS",
    "COURSES_UPLOAD_FILE",
    "LIST_STUDENTS",
    "LIST_USERS_IN_COURSE_USERS",
    "LIST_USERS_IN_COURSE_SEARCH_USERS",
    "LIST_RECENTLY_LOGGED_IN_STUDENTS",
    "GET_SINGLE_USER",
    "SEARCH_FOR_CONTENT_SHARE_USERS",
    "COURSES_PREVIEW_PROCESSED_HTML",
    "COURSE_ACTIVITY_STREAM",
    "COURSE_ACTIVITY_STREAM_SUMMARY",
    "COURSE_TODO_ITEMS",
    "GET_COURSE_SETTINGS",
    "UPDATE_COURSE_SETTINGS",
    "RETURN_TEST_STUDENT_FOR_COURSE",
    "RESET_COURSE",
    "GET_EFFECTIVE_DUE_DATES",
    "COURSES_PERMISSIONS",
    "GET_COURSE_COPY_STATUS",
    "COPY_COURSE_CONTENT",
    "LIST_CUSTOM_GRADEBOOK_COLUMNS",
    "CREATE_CUSTOM_GRADEBOOK_COLUMN",
    "UPDATE_CUSTOM_GRADEBOOK_COLUMN",
    "DELETE_CUSTOM_GRADEBOOK_COLUMN",
    "REORDER_CUSTOM_COLUMNS",
    "LIST_ENTRIES_FOR_COLUMN",
    "UPDATE_COLUMN_DATA",
    "BULK_UPDATE_COLUMN_DATA",
    "LIST_DISCUSSION_TOPICS_COURSES",
    "CREATE_NEW_DISCUSSION_TOPIC_COURSES",
    "UPDATE_TOPIC_COURSES",
    "DELETE_TOPIC_COURSES",
    "REORDER_PINNED_TOPICS_COURSES",
    "UPDATE_ENTRY_COURSES",
    "DELETE_ENTRY_COURSES",
    "GET_SINGLE_TOPIC_COURSES",
    "GET_FULL_TOPIC_COURSES",
    "POST_ENTRY_COURSES",
    "DUPLICATE_DISCUSSION_TOPIC_COURSES",
    "LIST_TOPIC_ENTRIES_COURSES",
    "POST_REPLY_COURSES",
    "LIST_ENTRY_REPLIES_COURSES",
    "LIST_ENTRIES_COURSES",
    "MARK_TOPIC_AS_READ_COURSES",
    "MARK_TOPIC_AS_UNREAD_COURSES",
    "MARK_ALL_ENTRIES_AS_READ_COURSES",
    "MARK_ALL_ENTRIES_AS_UNREAD_COURSES",
    "MARK_ENTRY_AS_READ_COURSES",
    "MARK_ENTRY_AS_UNREAD_COURSES",
    "RATE_ENTRY_COURSES",
    "SUBSCRIBE_TO_TOPIC_COURSES",
    "UNSUBSCRIBE_FROM_TOPIC_COURSES",
    "LIST_ENROLLMENTS_COURSES",
    "ENROLL_USER_COURSES",
    "CONCLUDE_DEACTIVATE_OR_DELETE_ENROLLMENT",
    "ACCEPT_COURSE_INVITATION",
    "REJECT_COURSE_INVITATION",
    "RE_ACTIVATE_ENROLLMENT",
    "ADDS_LAST_ATTENDED_DATE_TO_STUDENT_ENROLLMENT_IN_COURSE",
    "LIST_EXTERNAL_TOOLS_COURSES",
    "GET_SESSIONLESS_LAUNCH_URL_FOR_EXTERNAL_TOOL_COURSES",
    "GET_SINGLE_EXTERNAL_TOOL_COURSES",
    "CREATE_EXTERNAL_TOOL_COURSES",
    "EDIT_EXTERNAL_TOOL_COURSES",
    "DELETE_EXTERNAL_TOOL_COURSES",
    "GET_VISIBLE_COURSE_NAVIGATION_TOOLS_FOR_SINGLE_COURSE",
    "LIST_FEATURES_COURSES",
    "LIST_ENABLED_FEATURES_COURSES",
    "GET_FEATURE_FLAG_COURSES",
    "SET_FEATURE_FLAG_COURSES",
    "REMOVE_FEATURE_FLAG_COURSES",
    "GET_QUOTA_INFORMATION_COURSES",
    "LIST_FILES_COURSES",
    "GET_FILE_COURSES",
    "LIST_ALL_FOLDERS_COURSES",
    "RESOLVE_PATH_COURSES_FULL_PATH",
    "RESOLVE_PATH_COURSES",
    "GET_FOLDER_COURSES",
    "CREATE_FOLDER_COURSES",
    "GET_UPLOADED_MEDIA_FOLDER_FOR_USER_COURSES",
    "SET_USAGE_RIGHTS_COURSES",
    "REMOVE_USAGE_RIGHTS_COURSES",
    "LIST_LICENSES_COURSES",
    "GRADE_CHANGE_LOG_QUERY_BY_COURSE",
    "DAYS_IN_GRADEBOOK_HISTORY_FOR_THIS_COURSE",
    "DETAILS_FOR_GIVEN_DATE_IN_GRADEBOOK_HISTORY_FOR_THIS_COURSE",
    "LISTS_SUBMISSIONS",
    "LIST_UNCOLLATED_SUBMISSION_VERSIONS",
    "LIST_GRADING_PERIODS_COURSES",
    "GET_SINGLE_GRADING_PERIOD",
    "UPDATE_SINGLE_GRADING_PERIOD",
    "DELETE_GRADING_PERIOD_COURSES",
    "CREATE_NEW_GRADING_STANDARD_COURSES",
    "LIST_GRADING_STANDARDS_AVAILABLE_IN_CONTEXT_COURSES",
    "GET_SINGLE_GRADING_STANDARD_IN_CONTEXT_COURSES",
    "LIST_GROUP_CATEGORIES_FOR_CONTEXT_COURSES",
    "CREATE_GROUP_CATEGORY_COURSES",
    "LIST_GROUPS_AVAILABLE_IN_CONTEXT_COURSES",
    "CREATE_LINE_ITEM",
    "UPDATE_LINE_ITEM",
    "SHOW_LINE_ITEM",
    "LIST_LINE_ITEMS",
    "DELETE_LINE_ITEM",
    "CREATE_LIVE_ASSESSMENT_RESULTS",
    "LIST_LIVE_ASSESSMENT_RESULTS",
    "CREATE_OR_FIND_LIVE_ASSESSMENT",
    "LIST_LIVE_ASSESSMENTS",
    "LIST_MEDIA_OBJECTS_COURSES",
    "LIST_STUDENTS_SELECTED_FOR_MODERATION",
    "SELECT_STUDENTS_FOR_MODERATION",
    "BULK_SELECT_PROVISIONAL_GRADES",
    "SHOW_PROVISIONAL_GRADE_STATUS_FOR_STUDENT",
    "SELECT_PROVISIONAL_GRADE",
    "PUBLISH_PROVISIONAL_GRADES_FOR_ASSIGNMENT",
    "MODERATED_GRADING_SHOW_PROVISIONAL_GRADE_STATUS_FOR_STUDENT",
    "LIST_MODULES",
    "SHOW_MODULE",
    "CREATE_MODULE",
    "UPDATE_MODULE",
    "DELETE_MODULE",
    "RE_LOCK_MODULE_PROGRESSIONS",
    "LIST_MODULE_ITEMS",
    "SHOW_MODULE_ITEM",
    "CREATE_MODULE_ITEM",
    "UPDATE_MODULE_ITEM",
    "SELECT_MASTERY_PATH",
    "DELETE_MODULE_ITEM",
    "MARK_MODULE_ITEM_AS_DONE_NOT_DONE",
    "GET_MODULE_ITEM_SEQUENCE",
    "MARK_MODULE_ITEM_READ",
    "LIST_COURSE_MEMBERSHIPS",
    "REDIRECT_TO_ROOT_OUTCOME_GROUP_FOR_CONTEXT_COURSES",
    "GET_ALL_OUTCOME_GROUPS_FOR_CONTEXT_COURSES",
    "GET_ALL_OUTCOME_LINKS_FOR_CONTEXT_COURSES",
    "SHOW_OUTCOME_GROUP_COURSES",
    "UPDATE_OUTCOME_GROUP_COURSES",
    "DELETE_OUTCOME_GROUP_COURSES",
    "LIST_LINKED_OUTCOMES_COURSES",
    "CREATE_LINK_OUTCOME_COURSES",
    "CREATE_LINK_OUTCOME_COURSES_OUTCOME_ID",
    "UNLINK_OUTCOME_COURSES",
    "LIST_SUBGROUPS_COURSES",
    "CREATE_SUBGROUP_COURSES",
    "IMPORT_OUTCOME_GROUP_COURSES",
    "IMPORT_OUTCOMES_COURSES",
    "GET_OUTCOME_IMPORT_STATUS_COURSES",
    "GET_OUTCOME_RESULTS",
    "GET_OUTCOME_RESULT_ROLLUPS",
    "GET_ALIGNED_ASSIGNMENTS_FOR_OUTCOME_IN_COURSE_FOR_PARTICULAR_STUDENT",
    "SHOW_FRONT_PAGE_COURSES",
    "DUPLICATE_PAGE",
    "UPDATE_CREATE_FRONT_PAGE_COURSES",
    "LIST_PAGES_COURSES",
    "CREATE_PAGE_COURSES",
    "SHOW_PAGE_COURSES",
    "UPDATE_CREATE_PAGE_COURSES",
    "DELETE_PAGE_COURSES",
    "LIST_REVISIONS_COURSES",
    "SHOW_REVISION_COURSES_LATEST",
    "SHOW_REVISION_COURSES_REVISION_ID",
    "REVERT_TO_REVISION_COURSES",
    "GET_ALL_PEER_REVIEWS_COURSES_PEER_REVIEWS",
    "GET_ALL_PEER_REVIEWS_COURSES_SUBMISSIONS",
    "PEER_REVIEWS_CREATE_PEER_REVIEW_COURSES",
    "DELETE_PEER_REVIEW_COURSES",
    "CREATE_UPDATE_PROFICIENCY_RATINGS_COURSES",
    "GET_PROFICIENCY_RATINGS_COURSES",
    "PROGRESS_QUERY_PROGRESS",
    "RETRIEVE_ASSIGNMENT_OVERRIDDEN_DATES_FOR_CLASSIC_QUIZZES",
    "RETRIEVE_ASSIGNMENT_OVERRIDDEN_DATES_FOR_NEW_QUIZZES",
    "QUIZ_EXTENSIONS_SET_EXTENSIONS_FOR_STUDENT_QUIZ_SUBMISSIONS",
    "GET_AVAILABLE_QUIZ_IP_FILTERS",
    "GET_SINGLE_QUIZ_GROUP",
    "CREATE_QUESTION_GROUP",
    "UPDATE_QUESTION_GROUP",
    "DELETE_QUESTION_GROUP",
    "REORDER_QUESTION_GROUPS",
    "LIST_QUESTIONS_IN_QUIZ_OR_SUBMISSION",
    "GET_SINGLE_QUIZ_QUESTION",
    "CREATE_SINGLE_QUIZ_QUESTION",
    "UPDATE_EXISTING_QUIZ_QUESTION",
    "DELETE_QUIZ_QUESTION",
    "RETRIEVE_ALL_QUIZ_REPORTS",
    "CREATE_QUIZ_REPORT",
    "GET_QUIZ_REPORT",
    "ABORT_GENERATION_OF_REPORT_OR_REMOVE_PREVIOUSLY_GENERATED_ONE",
    "FETCHING_LATEST_QUIZ_STATISTICS",
    "SUBMIT_CAPTURED_EVENTS",
    "RETRIEVE_CAPTURED_EVENTS",
    "QUIZ_SUBMISSION_FILES_UPLOAD_FILE",
    "SEND_MESSAGE_TO_UNSUBMITTED_OR_SUBMITTED_USERS_FOR_QUIZ",
    "GET_ALL_QUIZ_SUBMISSIONS",
    "GET_QUIZ_SUBMISSION",
    "GET_SINGLE_QUIZ_SUBMISSION",
    "CREATE_QUIZ_SUBMISSION_START_QUIZ_TAKING_SESSION",
    "UPDATE_STUDENT_QUESTION_SCORES_AND_COMMENTS",
    "COMPLETE_QUIZ_SUBMISSION_TURN_IT_IN",
    "GET_CURRENT_QUIZ_SUBMISSION_TIMES",
    "LIST_QUIZZES_IN_COURSE",
    "GET_SINGLE_QUIZ",
    "CREATE_QUIZ",
    "EDIT_QUIZ",
    "DELETE_QUIZ",
    "REORDER_QUIZ_ITEMS",
    "VALIDATE_QUIZ_ACCESS_CODE",
    "SHOW_COLLECTION_OF_RESULTS",
    "SHOW_RESULT",
    "CREATE_SINGLE_RUBRIC",
    "UPDATE_SINGLE_RUBRIC",
    "DELETE_SINGLE_RUBRIC",
    "LIST_RUBRICS_COURSES",
    "GET_SINGLE_RUBRIC_COURSES",
    "CREATE_SINGLE_RUBRIC_ASSESSMENT",
    "UPDATE_SINGLE_RUBRIC_ASSESSMENT",
    "DELETE_SINGLE_RUBRIC_ASSESSMENT",
    "CREATE_RUBRICASSOCIATION",
    "UPDATE_RUBRICASSOCIATION",
    "DELETE_RUBRICASSOCIATION",
    "RETRIEVE_ASSIGNMENTS_ENABLED_FOR_GRADE_EXPORT_TO_SIS_COURSES",
    "DISABLE_ASSIGNMENTS_CURRENTLY_ENABLED_FOR_GRADE_EXPORT_TO_SIS",
    "CREATE_SCORE",
    "LIST_COURSE_SECTIONS",
    "CREATE_COURSE_SECTION",
    "GET_SECTION_INFORMATION_COURSES",
    "EDIT_SUBMISSION_COMMENT",
    "DELETE_SUBMISSION_COMMENT",
    "SUBMISSION_COMMENTS_UPLOAD_FILE",
    "SUBMIT_ASSIGNMENT_COURSES",
    "LIST_ASSIGNMENT_SUBMISSIONS_COURSES",
    "LIST_SUBMISSIONS_FOR_MULTIPLE_ASSIGNMENTS_COURSES",
    "GET_SINGLE_SUBMISSION_COURSES",
    "UPLOAD_FILE_COURSES",
    "GRADE_OR_COMMENT_ON_SUBMISSION_COURSES",
    "LIST_GRADEABLE_STUDENTS",
    "LIST_MULTIPLE_ASSIGNMENTS_GRADEABLE_STUDENTS",
    "GRADE_OR_COMMENT_ON_MULTIPLE_SUBMISSIONS_COURSES_SUBMISSIONS",
    "GRADE_OR_COMMENT_ON_MULTIPLE_SUBMISSIONS_COURSES_ASSIGNMENTS",
    "MARK_SUBMISSION_AS_READ_COURSES",
    "MARK_SUBMISSION_AS_UNREAD_COURSES",
    "SUBMISSION_SUMMARY_COURSES",
    "LIST_AVAILABLE_TABS_FOR_COURSE_OR_GROUP_COURSES",
    "UPDATE_TAB_FOR_COURSE",
    "GET_COURSE_NICKNAME",
    "SET_COURSE_NICKNAME",
    "REMOVE_COURSE_NICKNAME",
    "CREATE_EPUB_EXPORT",
    "SHOW_EPUB_EXPORT"
  ].freeze
end