module LMS
  CANVAS_URLs = {
    "LIST_SCOPES" => { uri: ->(account_id:) { "accounts/#{account_id}/scopes" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"group_by", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["resource_name"]}] },
    "SEARCH_ACCOUNT_DOMAINS" => { uri: ->() { "accounts/search" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"domain", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"latitude", "type"=>"number", "format"=>"float", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"longitude", "type"=>"number", "format"=>"float", "required"=>false, "deprecated"=>false}] },
    "INDEX_OF_ACTIVE_GLOBAL_NOTIFICATION_FOR_USER" => { uri: ->(account_id:) { "accounts/#{account_id}/account_notifications" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include_past", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SHOW_GLOBAL_NOTIFICATION" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/account_notifications/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CLOSE_NOTIFICATION_FOR_USER" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/account_notifications/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_GLOBAL_NOTIFICATION" => { uri: ->(account_id:) { "accounts/#{account_id}/account_notifications" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_notification[subject]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_notification[message]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_notification[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_notification[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_notification[icon]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["warning", "information", "question", "error", "calendar"]}, {"paramType"=>"form", "name"=>"account_notification_roles", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "UPDATE_GLOBAL_NOTIFICATION" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/account_notifications/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_notification[subject]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_notification[message]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_notification[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_notification[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_notification[icon]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["warning", "information", "question", "error", "calendar"]}, {"paramType"=>"form", "name"=>"account_notification_roles", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "LIST_AVAILABLE_REPORTS" => { uri: ->(account_id:) { "accounts/#{account_id}/reports" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "START_REPORT" => { uri: ->(account_id:, report:) { "accounts/#{account_id}/reports/#{report}" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"report", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parameters", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parameters[course_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parameters[users]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "INDEX_OF_REPORTS" => { uri: ->(account_id:, report:) { "accounts/#{account_id}/reports/#{report}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"report", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "STATUS_OF_REPORT" => { uri: ->(account_id:, report:, id:) { "accounts/#{account_id}/reports/#{report}/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"report", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_REPORT" => { uri: ->(account_id:, report:, id:) { "accounts/#{account_id}/reports/#{report}/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"report", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ACCOUNTS" => { uri: ->() { "accounts" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["lti_guid", "registration_settings", "services"], "items"=>{"type"=>"string"}}] },
    "GET_ACCOUNTS_THAT_ADMINS_CAN_MANAGE" => { uri: ->() { "manageable_accounts" }, method: "GET", parameters: [] },
    "LIST_ACCOUNTS_FOR_COURSE_ADMINS" => { uri: ->() { "course_accounts" }, method: "GET", parameters: [] },
    "GET_SINGLE_ACCOUNT" => { uri: ->(id:) { "accounts/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SETTINGS" => { uri: ->(account_id:) { "accounts/#{account_id}/settings" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "PERMISSIONS" => { uri: ->(account_id:) { "accounts/#{account_id}/permissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"permissions", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "GET_SUB_ACCOUNTS_OF_ACCOUNT" => { uri: ->(account_id:) { "accounts/#{account_id}/sub_accounts" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"recursive", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_TERMS_OF_SERVICE" => { uri: ->(account_id:) { "accounts/#{account_id}/terms_of_service" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_HELP_LINKS" => { uri: ->(account_id:) { "accounts/#{account_id}/help_links" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ACTIVE_COURSES_IN_ACCOUNT" => { uri: ->(account_id:) { "accounts/#{account_id}/courses" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"with_enrollments", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"enrollment_type", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["teacher", "student", "ta", "observer", "designer"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"published", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"completed", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"blueprint", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"blueprint_associated", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"by_teachers", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"query", "name"=>"by_subaccounts", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"query", "name"=>"hide_enrollmentless_courses", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["created", "claimed", "available", "completed", "deleted", "all"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"enrollment_term_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["syllabus_body", "term", "course_progress", "storage_quota_used_mb", "total_students", "teachers", "account_name", "concluded"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["course_name", "sis_course_id", "teacher", "account_name"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}, {"paramType"=>"query", "name"=>"search_by", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["course", "teacher"]}, {"paramType"=>"query", "name"=>"starts_before", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"ends_after", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"homeroom", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_ACCOUNT" => { uri: ->(id:) { "accounts/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[sis_account_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[default_time_zone]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[default_storage_quota_mb]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[default_user_storage_quota_mb]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[default_group_storage_quota_mb]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[course_template_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][restrict_student_past_view][value]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][restrict_student_past_view][locked]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][restrict_student_future_view][value]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][microsoft_sync_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][microsoft_sync_tenant]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][microsoft_sync_login_attribute]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][microsoft_sync_login_attribute_suffix]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][microsoft_sync_remote_attribute]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][restrict_student_future_view][locked]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][lock_all_announcements][value]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][lock_all_announcements][locked]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][usage_rights_required][value]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][usage_rights_required][locked]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][restrict_student_future_listing][value]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][restrict_student_future_listing][locked]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][lock_outcome_proficiency][value]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[lock_outcome_proficiency][locked]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[settings][lock_proficiency_calculation][value]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[lock_proficiency_calculation][locked]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[services]", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_USER_FROM_ROOT_ACCOUNT" => { uri: ->(account_id:, user_id:) { "accounts/#{account_id}/users/#{user_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_NEW_SUB_ACCOUNT" => { uri: ->(account_id:) { "accounts/#{account_id}/sub_accounts" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[name]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[sis_account_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[default_storage_quota_mb]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[default_user_storage_quota_mb]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account[default_group_storage_quota_mb]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "DELETE_SUB_ACCOUNT" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/sub_accounts/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_ACCOUNT" => { uri: ->(account_id:) { "/lti/accounts/#{account_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MAKE_ACCOUNT_ADMIN" => { uri: ->(account_id:) { "accounts/#{account_id}/admins" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"role", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"role_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"send_confirmation", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "REMOVE_ACCOUNT_ADMIN" => { uri: ->(account_id:, user_id:) { "accounts/#{account_id}/admins/#{user_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"role", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"role_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "LIST_ACCOUNT_ADMINS" => { uri: ->(account_id:) { "accounts/#{account_id}/admins" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"user_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"[Integer]"}}] },
    "GET_DEPARTMENT_LEVEL_PARTICIPATION_DATA_TERMS" => { uri: ->(account_id:, term_id:) { "accounts/#{account_id}/analytics/terms/#{term_id}/activity" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"term_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_DEPARTMENT_LEVEL_PARTICIPATION_DATA_CURRENT" => { uri: ->(account_id:) { "accounts/#{account_id}/analytics/current/activity" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_DEPARTMENT_LEVEL_PARTICIPATION_DATA_COMPLETED" => { uri: ->(account_id:) { "accounts/#{account_id}/analytics/completed/activity" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_DEPARTMENT_LEVEL_GRADE_DATA_TERMS" => { uri: ->(account_id:, term_id:) { "accounts/#{account_id}/analytics/terms/#{term_id}/grades" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"term_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_DEPARTMENT_LEVEL_GRADE_DATA_CURRENT" => { uri: ->(account_id:) { "accounts/#{account_id}/analytics/current/grades" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_DEPARTMENT_LEVEL_GRADE_DATA_COMPLETED" => { uri: ->(account_id:) { "accounts/#{account_id}/analytics/completed/grades" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_DEPARTMENT_LEVEL_STATISTICS_TERMS" => { uri: ->(account_id:, term_id:) { "accounts/#{account_id}/analytics/terms/#{term_id}/statistics" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"term_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_DEPARTMENT_LEVEL_STATISTICS_CURRENT" => { uri: ->(account_id:) { "accounts/#{account_id}/analytics/current/statistics" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_DEPARTMENT_LEVEL_STATISTICS_COMPLETED" => { uri: ->(account_id:) { "accounts/#{account_id}/analytics/completed/statistics" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_COURSE_LEVEL_PARTICIPATION_DATA" => { uri: ->(course_id:) { "courses/#{course_id}/analytics/activity" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_COURSE_LEVEL_ASSIGNMENT_DATA" => { uri: ->(course_id:) { "courses/#{course_id}/analytics/assignments" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"async", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_COURSE_LEVEL_STUDENT_SUMMARY_DATA" => { uri: ->(course_id:) { "courses/#{course_id}/analytics/student_summaries" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sort_column", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["name", "name_descending", "score", "score_descending", "participations", "participations_descending", "page_views", "page_views_descending"]}, {"paramType"=>"query", "name"=>"student_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_USER_IN_A_COURSE_LEVEL_PARTICIPATION_DATA" => { uri: ->(course_id:, student_id:) { "courses/#{course_id}/analytics/users/#{student_id}/activity" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"student_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_USER_IN_A_COURSE_LEVEL_ASSIGNMENT_DATA" => { uri: ->(course_id:, student_id:) { "courses/#{course_id}/analytics/users/#{student_id}/assignments" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"student_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_USER_IN_A_COURSE_LEVEL_MESSAGING_DATA" => { uri: ->(course_id:, student_id:) { "courses/#{course_id}/analytics/users/#{student_id}/communication" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"student_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_EXTERNAL_FEEDS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/external_feeds" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_EXTERNAL_FEEDS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/external_feeds" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_EXTERNAL_FEED_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/external_feeds" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"header_match", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"verbosity", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["full", "truncate", "link_only"]}] },
    "CREATE_EXTERNAL_FEED_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/external_feeds" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"header_match", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"verbosity", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["full", "truncate", "link_only"]}] },
    "DELETE_EXTERNAL_FEED_COURSES" => { uri: ->(course_id:, external_feed_id:) { "courses/#{course_id}/external_feeds/#{external_feed_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"external_feed_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_EXTERNAL_FEED_GROUPS" => { uri: ->(group_id:, external_feed_id:) { "groups/#{group_id}/external_feeds/#{external_feed_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"external_feed_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ANNOUNCEMENTS" => { uri: ->() { "announcements" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"context_codes", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"start_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"active_only", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"latest_only", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_APPOINTMENT_GROUPS" => { uri: ->() { "appointment_groups" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"scope", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["reservable", "manageable"]}, {"paramType"=>"query", "name"=>"context_codes", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"include_past_appointments", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["appointments", "child_events", "participant_count", "reserved_times", "all_context_codes"], "items"=>{"type"=>"string"}}] },
    "CREATE_APPOINTMENT_GROUP" => { uri: ->() { "appointment_groups" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"appointment_group[context_codes]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"appointment_group[sub_context_codes]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"appointment_group[title]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[description]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[location_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[location_address]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[publish]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[participants_per_appointment]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[min_appointments_per_participant]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[max_appointments_per_participant]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[new_appointments][X]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"appointment_group[participant_visibility]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["private", "protected"]}] },
    "GET_SINGLE_APPOINTMENT_GROUP" => { uri: ->(id:) { "appointment_groups/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["child_events", "appointments", "all_context_codes"], "items"=>{"type"=>"string"}}] },
    "UPDATE_APPOINTMENT_GROUP" => { uri: ->(id:) { "appointment_groups/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[context_codes]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"appointment_group[sub_context_codes]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"appointment_group[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[description]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[location_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[location_address]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[publish]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[participants_per_appointment]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[min_appointments_per_participant]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[max_appointments_per_participant]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"appointment_group[new_appointments][X]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"appointment_group[participant_visibility]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["private", "protected"]}] },
    "DELETE_APPOINTMENT_GROUP" => { uri: ->(id:) { "appointment_groups/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"cancel_reason", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_USER_PARTICIPANTS" => { uri: ->(id:) { "appointment_groups/#{id}/users" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"registration_status", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["all", "registered", "registered"]}] },
    "LIST_STUDENT_GROUP_PARTICIPANTS" => { uri: ->(id:) { "appointment_groups/#{id}/groups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"registration_status", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["all", "registered", "registered"]}] },
    "GET_NEXT_APPOINTMENT" => { uri: ->() { "appointment_groups/next_appointment" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"appointment_group_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "SET_EXTENSIONS_FOR_STUDENT_ASSIGNMENT_SUBMISSIONS" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/extensions" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_extensions[user_id]", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"assignment_extensions[extra_attempts]", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "LIST_ASSIGNMENT_GROUPS" => { uri: ->(course_id:) { "courses/#{course_id}/assignment_groups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assignments", "discussion_topic", "all_dates", "assignment_visibility", "overrides", "submission", "observed_users", "can_edit", "score_statistics"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"assignment_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"exclude_assignment_submission_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["online_quiz", "discussion_topic", "wiki_page", "external_tool"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"override_assignment_dates", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"grading_period_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"scope_assignments_to_student", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_ASSIGNMENT_GROUP" => { uri: ->(course_id:, assignment_group_id:) { "courses/#{course_id}/assignment_groups/#{assignment_group_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assignments", "discussion_topic", "assignment_visibility", "submission", "score_statistics"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"override_assignment_dates", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"grading_period_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_ASSIGNMENT_GROUP" => { uri: ->(course_id:) { "courses/#{course_id}/assignment_groups" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"group_weight", "type"=>"number", "format"=>"float", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sis_source_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"integration_data", "type"=>"Object", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rules", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "EDIT_ASSIGNMENT_GROUP" => { uri: ->(course_id:, assignment_group_id:) { "courses/#{course_id}/assignment_groups/#{assignment_group_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DESTROY_ASSIGNMENT_GROUP" => { uri: ->(course_id:, assignment_group_id:) { "courses/#{course_id}/assignment_groups/#{assignment_group_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"move_assignments_to", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "DELETE_ASSIGNMENT" => { uri: ->(course_id:, id:) { "courses/#{course_id}/assignments/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ASSIGNMENTS_ASSIGNMENTS" => { uri: ->(course_id:) { "courses/#{course_id}/assignments" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission", "assignment_visibility", "all_dates", "overrides", "observed_users", "can_edit", "score_statistics"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"override_assignment_dates", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"needs_grading_count_by_section", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"bucket", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["past", "overdue", "undated", "ungraded", "unsubmitted", "upcoming", "future"]}, {"paramType"=>"query", "name"=>"assignment_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"order_by", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["position", "name", "due_at"]}, {"paramType"=>"query", "name"=>"post_to_sis", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_ASSIGNMENTS_ASSIGNMENT_GROUPS" => { uri: ->(course_id:, assignment_group_id:) { "courses/#{course_id}/assignment_groups/#{assignment_group_id}/assignments" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission", "assignment_visibility", "all_dates", "overrides", "observed_users", "can_edit", "score_statistics"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"override_assignment_dates", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"needs_grading_count_by_section", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"bucket", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["past", "overdue", "undated", "ungraded", "unsubmitted", "upcoming", "future"]}, {"paramType"=>"query", "name"=>"assignment_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"order_by", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["position", "name", "due_at"]}, {"paramType"=>"query", "name"=>"post_to_sis", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_ASSIGNMENTS_FOR_USER" => { uri: ->(user_id:, course_id:) { "users/#{user_id}/courses/#{course_id}/assignments" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DUPLICATE_ASSIGNNMENT" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/duplicate" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"result_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["Quiz"]}] },
    "GET_SINGLE_ASSIGNMENT" => { uri: ->(course_id:, id:) { "courses/#{course_id}/assignments/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission", "assignment_visibility", "overrides", "observed_users", "can_edit", "score_statistics"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"override_assignment_dates", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"needs_grading_count_by_section", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"all_dates", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_ASSIGNMENT" => { uri: ->(course_id:) { "courses/#{course_id}/assignments" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[name]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[submission_types]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["online_quiz", "none", "on_paper", "discussion_topic", "external_tool", "online_upload", "online_text_entry", "online_url", "media_recording", "student_annotation"], "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"assignment[allowed_extensions]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"assignment[turnitin_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[vericite_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[turnitin_settings]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[integration_data]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[integration_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[peer_reviews]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[automatic_peer_reviews]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[notify_of_update]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[group_category_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[grade_group_students_individually]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[external_tool_tag_attributes]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[points_possible]", "type"=>"number", "format"=>"float", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[grading_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["pass_fail", "percent", "letter_grade", "gpa_scale", "points", "not_graded"]}, {"paramType"=>"form", "name"=>"assignment[due_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[lock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[unlock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[description]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[assignment_group_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[assignment_overrides]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"AssignmentOverride"}}, {"paramType"=>"form", "name"=>"assignment[only_visible_to_overrides]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[grading_standard_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[omit_from_final_grade]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[quiz_lti]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[moderated_grading]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[grader_count]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[final_grader_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[grader_comments_visible_to_graders]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[graders_anonymous_to_graders]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[graders_names_visible_to_final_grader]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[anonymous_grading]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[allowed_attempts]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[annotatable_attachment_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "EDIT_ASSIGNMENT" => { uri: ->(course_id:, id:) { "courses/#{course_id}/assignments/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[submission_types]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["online_quiz", "none", "on_paper", "discussion_topic", "external_tool", "online_upload", "online_text_entry", "online_url", "media_recording", "student_annotation"], "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"assignment[allowed_extensions]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"assignment[turnitin_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[vericite_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[turnitin_settings]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[sis_assignment_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[integration_data]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[integration_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[peer_reviews]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[automatic_peer_reviews]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[notify_of_update]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[group_category_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[grade_group_students_individually]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[external_tool_tag_attributes]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[points_possible]", "type"=>"number", "format"=>"float", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[grading_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["pass_fail", "percent", "letter_grade", "gpa_scale", "points", "not_graded"]}, {"paramType"=>"form", "name"=>"assignment[due_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[lock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[unlock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[description]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[assignment_group_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[assignment_overrides]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"AssignmentOverride"}}, {"paramType"=>"form", "name"=>"assignment[only_visible_to_overrides]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[grading_standard_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[omit_from_final_grade]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[moderated_grading]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[grader_count]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[final_grader_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[grader_comments_visible_to_graders]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[graders_anonymous_to_graders]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[graders_names_visible_to_final_grader]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[anonymous_grading]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[allowed_attempts]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment[annotatable_attachment_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "BULK_UPDATE_ASSIGNMENT_DATES" => { uri: ->(course_id:) { "courses/#{course_id}/assignments/bulk_update" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ASSIGNMENT_OVERRIDES" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/overrides" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_ASSIGNMENT_OVERRIDE" => { uri: ->(course_id:, assignment_id:, id:) { "courses/#{course_id}/assignments/#{assignment_id}/overrides/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REDIRECT_TO_ASSIGNMENT_OVERRIDE_FOR_GROUP" => { uri: ->(group_id:, assignment_id:) { "groups/#{group_id}/assignments/#{assignment_id}/override" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REDIRECT_TO_ASSIGNMENT_OVERRIDE_FOR_SECTION" => { uri: ->(course_section_id:, assignment_id:) { "sections/#{course_section_id}/assignments/#{assignment_id}/override" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_ASSIGNMENT_OVERRIDE" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/overrides" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_override[student_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"assignment_override[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_override[group_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_override[course_section_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_override[due_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_override[unlock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_override[lock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_ASSIGNMENT_OVERRIDE" => { uri: ->(course_id:, assignment_id:, id:) { "courses/#{course_id}/assignments/#{assignment_id}/overrides/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_override[student_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"assignment_override[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_override[due_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_override[unlock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_override[lock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_ASSIGNMENT_OVERRIDE" => { uri: ->(course_id:, assignment_id:, id:) { "courses/#{course_id}/assignments/#{assignment_id}/overrides/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "BATCH_RETRIEVE_OVERRIDES_IN_COURSE" => { uri: ->(course_id:) { "courses/#{course_id}/assignments/overrides" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"assignment_overrides[id]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"assignment_overrides[assignment_id]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "BATCH_CREATE_OVERRIDES_IN_COURSE" => { uri: ->(course_id:) { "courses/#{course_id}/assignments/overrides" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_overrides", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"$ref"=>"AssignmentOverride"}}] },
    "BATCH_UPDATE_OVERRIDES_IN_COURSE" => { uri: ->(course_id:) { "courses/#{course_id}/assignments/overrides" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_overrides", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"$ref"=>"AssignmentOverride"}}] },
    "LIST_AUTHENTICATION_PROVIDERS" => { uri: ->(account_id:) { "accounts/#{account_id}/authentication_providers" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ADD_AUTHENTICATION_PROVIDER" => { uri: ->(account_id:) { "accounts/#{account_id}/authentication_providers" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_AUTHENTICATION_PROVIDER" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/authentication_providers/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_AUTHENTICATION_PROVIDER" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/authentication_providers/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_AUTHENTICATION_PROVIDER" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/authentication_providers/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_ACCOUNT_AUTH_SETTINGS" => { uri: ->(account_id:) { "accounts/#{account_id}/sso_settings" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_ACCOUNT_AUTH_SETTINGS" => { uri: ->(account_id:) { "accounts/#{account_id}/sso_settings" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "QUERY_BY_LOGIN" => { uri: ->(login_id:) { "audit/authentication/logins/#{login_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"login_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "QUERY_BY_ACCOUNT" => { uri: ->(account_id:) { "audit/authentication/accounts/#{account_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "QUERY_BY_USER" => { uri: ->(user_id:) { "audit/authentication/users/#{user_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_BLUEPRINT_INFORMATION" => { uri: ->(course_id:, template_id:) { "courses/#{course_id}/blueprint_templates/#{template_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"template_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_ASSOCIATED_COURSE_INFORMATION" => { uri: ->(course_id:, template_id:) { "courses/#{course_id}/blueprint_templates/#{template_id}/associated_courses" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"template_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_ASSOCIATED_COURSES" => { uri: ->(course_id:, template_id:) { "courses/#{course_id}/blueprint_templates/#{template_id}/update_associations" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"template_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_ids_to_add", "type"=>"Array", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_ids_to_remove", "type"=>"Array", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "BEGIN_MIGRATION_TO_PUSH_TO_ASSOCIATED_COURSES" => { uri: ->(course_id:, template_id:) { "courses/#{course_id}/blueprint_templates/#{template_id}/migrations" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"template_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"send_notification", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"copy_settings", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"publish_after_initial_sync", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SET_OR_REMOVE_RESTRICTIONS_ON_BLUEPRINT_COURSE_OBJECT" => { uri: ->(course_id:, template_id:) { "courses/#{course_id}/blueprint_templates/#{template_id}/restrict_item" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"template_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"content_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assignment", "attachment", "discussion_topic", "external_tool", "quiz", "wiki_page"]}, {"paramType"=>"form", "name"=>"content_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"restricted", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"restrictions", "type"=>"BlueprintRestriction", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_UNSYNCED_CHANGES" => { uri: ->(course_id:, template_id:) { "courses/#{course_id}/blueprint_templates/#{template_id}/unsynced_changes" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"template_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_BLUEPRINT_MIGRATIONS" => { uri: ->(course_id:, template_id:) { "courses/#{course_id}/blueprint_templates/#{template_id}/migrations" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"template_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_BLUEPRINT_MIGRATION" => { uri: ->(course_id:, template_id:, id:) { "courses/#{course_id}/blueprint_templates/#{template_id}/migrations/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"template_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_MIGRATION_DETAILS" => { uri: ->(course_id:, template_id:, id:) { "courses/#{course_id}/blueprint_templates/#{template_id}/migrations/#{id}/details" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"template_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_BLUEPRINT_SUBSCRIPTIONS" => { uri: ->(course_id:) { "courses/#{course_id}/blueprint_subscriptions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_BLUEPRINT_IMPORTS" => { uri: ->(course_id:, subscription_id:) { "courses/#{course_id}/blueprint_subscriptions/#{subscription_id}/migrations" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"subscription_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_BLUEPRINT_IMPORT" => { uri: ->(course_id:, subscription_id:, id:) { "courses/#{course_id}/blueprint_subscriptions/#{subscription_id}/migrations/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"subscription_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_IMPORT_DETAILS" => { uri: ->(course_id:, subscription_id:, id:) { "courses/#{course_id}/blueprint_subscriptions/#{subscription_id}/migrations/#{id}/details" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"subscription_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_BOOKMARKS" => { uri: ->() { "users/self/bookmarks" }, method: "GET", parameters: [] },
    "CREATE_BOOKMARK" => { uri: ->() { "users/self/bookmarks" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"data", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_BOOKMARK" => { uri: ->(id:) { "users/self/bookmarks/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_BOOKMARK" => { uri: ->(id:) { "users/self/bookmarks/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"data", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_BOOKMARK" => { uri: ->(id:) { "users/self/bookmarks/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_BRAND_CONFIG_VARIABLES_THAT_SHOULD_BE_USED_FOR_THIS_DOMAIN" => { uri: ->() { "brand_variables" }, method: "GET", parameters: [] },
    "LIST_CALENDAR_EVENTS" => { uri: ->() { "calendar_events" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["event", "assignment"]}, {"paramType"=>"query", "name"=>"start_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"undated", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"all_events", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"context_codes", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"excludes", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}, {"paramType"=>"query", "name"=>"important_dates", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_CALENDAR_EVENTS_FOR_USER" => { uri: ->(user_id:) { "users/#{user_id}/calendar_events" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["event", "assignment"]}, {"paramType"=>"query", "name"=>"start_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"undated", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"all_events", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"context_codes", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"excludes", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}, {"paramType"=>"query", "name"=>"submission_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}, {"paramType"=>"query", "name"=>"exclude_submission_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}, {"paramType"=>"query", "name"=>"important_dates", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_CALENDAR_EVENT" => { uri: ->() { "calendar_events" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"calendar_event[context_code]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[description]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[location_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[location_address]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[time_zone_edited]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[all_day]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[child_event_data][X][start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[child_event_data][X][end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[child_event_data][X][context_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[duplicate][count]", "type"=>"number", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[duplicate][interval]", "type"=>"number", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[duplicate][frequency]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["daily", "weekly", "monthly"]}, {"paramType"=>"form", "name"=>"calendar_event[duplicate][append_iterator]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_SINGLE_CALENDAR_EVENT_OR_ASSIGNMENT" => { uri: ->(id:) { "calendar_events/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RESERVE_TIME_SLOT" => { uri: ->(id:) { "calendar_events/#{id}/reservations" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"participant_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comments", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"cancel_existing", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "RESERVE_TIME_SLOT_PARTICIPANT_ID" => { uri: ->(id:, participant_id:) { "calendar_events/#{id}/reservations/#{participant_id}" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"participant_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comments", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"cancel_existing", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_CALENDAR_EVENT" => { uri: ->(id:) { "calendar_events/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[context_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[description]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[location_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[location_address]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[time_zone_edited]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[all_day]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[child_event_data][X][start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[child_event_data][X][end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"calendar_event[child_event_data][X][context_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_CALENDAR_EVENT" => { uri: ->(id:) { "calendar_events/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"cancel_reason", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SET_COURSE_TIMETABLE" => { uri: ->(course_id:) { "courses/#{course_id}/calendar_events/timetable" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"timetables[course_section_id]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}, {"paramType"=>"form", "name"=>"timetables[course_section_id][weekdays]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"timetables[course_section_id][start_time]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"timetables[course_section_id][end_time]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"timetables[course_section_id][location_name]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "GET_COURSE_TIMETABLE" => { uri: ->(course_id:) { "courses/#{course_id}/calendar_events/timetable" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_OR_UPDATE_EVENTS_DIRECTLY_FOR_COURSE_TIMETABLE" => { uri: ->(course_id:) { "courses/#{course_id}/calendar_events/timetable_events" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"events", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}, {"paramType"=>"form", "name"=>"events[start_at]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"DateTime"}}, {"paramType"=>"form", "name"=>"events[end_at]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"DateTime"}}, {"paramType"=>"form", "name"=>"events[location_name]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"events[code]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"events[title]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "LIST_COLLABORATIONS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/collaborations" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_COLLABORATIONS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/collaborations" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MEMBERS_OF_COLLABORATION" => { uri: ->(id:) { "collaborations/#{id}/members" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["collaborator_lti_id", "avatar_image_url"], "items"=>{"type"=>"string"}}] },
    "LIST_POTENTIAL_MEMBERS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/potential_collaborators" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_POTENTIAL_MEMBERS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/potential_collaborators" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_OF_COMMMESSAGES_FOR_USER" => { uri: ->() { "comm_messages" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_USER_COMMUNICATION_CHANNELS" => { uri: ->(user_id:) { "users/#{user_id}/communication_channels" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_COMMUNICATION_CHANNEL" => { uri: ->(user_id:) { "users/#{user_id}/communication_channels" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"communication_channel[address]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"communication_channel[type]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["email", "sms", "push"]}, {"paramType"=>"form", "name"=>"communication_channel[token]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"skip_confirmation", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_COMMUNICATION_CHANNEL_ID" => { uri: ->(user_id:, id:) { "users/#{user_id}/communication_channels/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_COMMUNICATION_CHANNEL_TYPE" => { uri: ->(user_id:, type:, address:) { "users/#{user_id}/communication_channels/#{type}/#{address}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"address", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_PUSH_NOTIFICATION_ENDPOINT" => { uri: ->() { "users/self/communication_channels/push" }, method: "DELETE", parameters: [] },
    "LIST_CONFERENCES_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/conferences" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_CONFERENCES_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/conferences" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_CONFERENCES_FOR_CURRENT_USER" => { uri: ->() { "conferences" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_CONTENT_EXPORTS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/content_exports" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_CONTENT_EXPORTS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/content_exports" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_CONTENT_EXPORTS_USERS" => { uri: ->(user_id:) { "users/#{user_id}/content_exports" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_CONTENT_EXPORT_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/content_exports/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_CONTENT_EXPORT_GROUPS" => { uri: ->(group_id:, id:) { "groups/#{group_id}/content_exports/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_CONTENT_EXPORT_USERS" => { uri: ->(user_id:, id:) { "users/#{user_id}/content_exports/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "EXPORT_CONTENT_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/content_exports" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"export_type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["common_cartridge", "qti", "zip"]}, {"paramType"=>"form", "name"=>"skip_notifications", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"select", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["folders", "files", "attachments", "quizzes", "assignments", "announcements", "calendar_events", "discussion_topics", "modules", "module_items", "pages", "rubrics"]}] },
    "EXPORT_CONTENT_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/content_exports" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"export_type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["common_cartridge", "qti", "zip"]}, {"paramType"=>"form", "name"=>"skip_notifications", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"select", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["folders", "files", "attachments", "quizzes", "assignments", "announcements", "calendar_events", "discussion_topics", "modules", "module_items", "pages", "rubrics"]}] },
    "EXPORT_CONTENT_USERS" => { uri: ->(user_id:) { "users/#{user_id}/content_exports" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"export_type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["common_cartridge", "qti", "zip"]}, {"paramType"=>"form", "name"=>"skip_notifications", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"select", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["folders", "files", "attachments", "quizzes", "assignments", "announcements", "calendar_events", "discussion_topics", "modules", "module_items", "pages", "rubrics"]}] },
    "LIST_MIGRATION_ISSUES_ACCOUNTS" => { uri: ->(account_id:, content_migration_id:) { "accounts/#{account_id}/content_migrations/#{content_migration_id}/migration_issues" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MIGRATION_ISSUES_COURSES" => { uri: ->(course_id:, content_migration_id:) { "courses/#{course_id}/content_migrations/#{content_migration_id}/migration_issues" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MIGRATION_ISSUES_GROUPS" => { uri: ->(group_id:, content_migration_id:) { "groups/#{group_id}/content_migrations/#{content_migration_id}/migration_issues" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MIGRATION_ISSUES_USERS" => { uri: ->(user_id:, content_migration_id:) { "users/#{user_id}/content_migrations/#{content_migration_id}/migration_issues" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_MIGRATION_ISSUE_ACCOUNTS" => { uri: ->(account_id:, content_migration_id:, id:) { "accounts/#{account_id}/content_migrations/#{content_migration_id}/migration_issues/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_MIGRATION_ISSUE_COURSES" => { uri: ->(course_id:, content_migration_id:, id:) { "courses/#{course_id}/content_migrations/#{content_migration_id}/migration_issues/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_MIGRATION_ISSUE_GROUPS" => { uri: ->(group_id:, content_migration_id:, id:) { "groups/#{group_id}/content_migrations/#{content_migration_id}/migration_issues/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_MIGRATION_ISSUE_USERS" => { uri: ->(user_id:, content_migration_id:, id:) { "users/#{user_id}/content_migrations/#{content_migration_id}/migration_issues/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_MIGRATION_ISSUE_ACCOUNTS" => { uri: ->(account_id:, content_migration_id:, id:) { "accounts/#{account_id}/content_migrations/#{content_migration_id}/migration_issues/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"workflow_state", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["active", "resolved"]}] },
    "UPDATE_MIGRATION_ISSUE_COURSES" => { uri: ->(course_id:, content_migration_id:, id:) { "courses/#{course_id}/content_migrations/#{content_migration_id}/migration_issues/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"workflow_state", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["active", "resolved"]}] },
    "UPDATE_MIGRATION_ISSUE_GROUPS" => { uri: ->(group_id:, content_migration_id:, id:) { "groups/#{group_id}/content_migrations/#{content_migration_id}/migration_issues/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"workflow_state", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["active", "resolved"]}] },
    "UPDATE_MIGRATION_ISSUE_USERS" => { uri: ->(user_id:, content_migration_id:, id:) { "users/#{user_id}/content_migrations/#{content_migration_id}/migration_issues/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"content_migration_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"workflow_state", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["active", "resolved"]}] },
    "LIST_CONTENT_MIGRATIONS_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/content_migrations" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_CONTENT_MIGRATIONS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/content_migrations" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_CONTENT_MIGRATIONS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/content_migrations" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_CONTENT_MIGRATIONS_USERS" => { uri: ->(user_id:) { "users/#{user_id}/content_migrations" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_CONTENT_MIGRATION_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/content_migrations/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_CONTENT_MIGRATION_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/content_migrations/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_CONTENT_MIGRATION_GROUPS" => { uri: ->(group_id:, id:) { "groups/#{group_id}/content_migrations/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_CONTENT_MIGRATION_USERS" => { uri: ->(user_id:, id:) { "users/#{user_id}/content_migrations/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_CONTENT_MIGRATION_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/content_migrations" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"migration_type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pre_attachment[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pre_attachment[*]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[file_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[content_export_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[source_course_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[folder_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[overwrite_quizzes]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[question_bank_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[question_bank_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[insert_into_module_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[insert_into_module_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assignment", "discussion_topic", "file", "page", "quiz"]}, {"paramType"=>"form", "name"=>"settings[insert_into_module_position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[move_to_assignment_group_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[shift_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[old_start_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[old_end_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[new_start_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[new_end_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[day_substitutions][X]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[remove_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"selective_import", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"select", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["folders", "files", "attachments", "quizzes", "assignments", "announcements", "calendar_events", "discussion_topics", "modules", "module_items", "pages", "rubrics"]}] },
    "CREATE_CONTENT_MIGRATION_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/content_migrations" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"migration_type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pre_attachment[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pre_attachment[*]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[file_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[content_export_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[source_course_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[folder_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[overwrite_quizzes]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[question_bank_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[question_bank_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[insert_into_module_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[insert_into_module_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assignment", "discussion_topic", "file", "page", "quiz"]}, {"paramType"=>"form", "name"=>"settings[insert_into_module_position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[move_to_assignment_group_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[shift_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[old_start_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[old_end_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[new_start_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[new_end_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[day_substitutions][X]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[remove_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"selective_import", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"select", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["folders", "files", "attachments", "quizzes", "assignments", "announcements", "calendar_events", "discussion_topics", "modules", "module_items", "pages", "rubrics"]}] },
    "CREATE_CONTENT_MIGRATION_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/content_migrations" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"migration_type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pre_attachment[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pre_attachment[*]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[file_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[content_export_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[source_course_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[folder_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[overwrite_quizzes]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[question_bank_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[question_bank_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[insert_into_module_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[insert_into_module_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assignment", "discussion_topic", "file", "page", "quiz"]}, {"paramType"=>"form", "name"=>"settings[insert_into_module_position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[move_to_assignment_group_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[shift_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[old_start_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[old_end_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[new_start_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[new_end_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[day_substitutions][X]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[remove_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"selective_import", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"select", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["folders", "files", "attachments", "quizzes", "assignments", "announcements", "calendar_events", "discussion_topics", "modules", "module_items", "pages", "rubrics"]}] },
    "CREATE_CONTENT_MIGRATION_USERS" => { uri: ->(user_id:) { "users/#{user_id}/content_migrations" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"migration_type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pre_attachment[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pre_attachment[*]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[file_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[content_export_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[source_course_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[folder_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[overwrite_quizzes]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[question_bank_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[question_bank_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[insert_into_module_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[insert_into_module_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assignment", "discussion_topic", "file", "page", "quiz"]}, {"paramType"=>"form", "name"=>"settings[insert_into_module_position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings[move_to_assignment_group_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[shift_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[old_start_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[old_end_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[new_start_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[new_end_date]", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[day_substitutions][X]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"date_shift_options[remove_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"selective_import", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"select", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["folders", "files", "attachments", "quizzes", "assignments", "announcements", "calendar_events", "discussion_topics", "modules", "module_items", "pages", "rubrics"]}] },
    "UPDATE_CONTENT_MIGRATION_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/content_migrations/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_CONTENT_MIGRATION_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/content_migrations/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_CONTENT_MIGRATION_GROUPS" => { uri: ->(group_id:, id:) { "groups/#{group_id}/content_migrations/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_CONTENT_MIGRATION_USERS" => { uri: ->(user_id:, id:) { "users/#{user_id}/content_migrations/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MIGRATION_SYSTEMS_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/content_migrations/migrators" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MIGRATION_SYSTEMS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/content_migrations/migrators" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MIGRATION_SYSTEMS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/content_migrations/migrators" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MIGRATION_SYSTEMS_USERS" => { uri: ->(user_id:) { "users/#{user_id}/content_migrations/migrators" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ITEMS_FOR_SELECTIVE_IMPORT_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/content_migrations/#{id}/selective_data" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["context_modules", "assignments", "quizzes", "assessment_question_banks", "discussion_topics", "wiki_pages", "context_external_tools", "tool_profiles", "announcements", "calendar_events", "rubrics", "groups", "learning_outcomes", "attachments"]}] },
    "LIST_ITEMS_FOR_SELECTIVE_IMPORT_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/content_migrations/#{id}/selective_data" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["context_modules", "assignments", "quizzes", "assessment_question_banks", "discussion_topics", "wiki_pages", "context_external_tools", "tool_profiles", "announcements", "calendar_events", "rubrics", "groups", "learning_outcomes", "attachments"]}] },
    "LIST_ITEMS_FOR_SELECTIVE_IMPORT_GROUPS" => { uri: ->(group_id:, id:) { "groups/#{group_id}/content_migrations/#{id}/selective_data" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["context_modules", "assignments", "quizzes", "assessment_question_banks", "discussion_topics", "wiki_pages", "context_external_tools", "tool_profiles", "announcements", "calendar_events", "rubrics", "groups", "learning_outcomes", "attachments"]}] },
    "LIST_ITEMS_FOR_SELECTIVE_IMPORT_USERS" => { uri: ->(user_id:, id:) { "users/#{user_id}/content_migrations/#{id}/selective_data" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["context_modules", "assignments", "quizzes", "assessment_question_banks", "discussion_topics", "wiki_pages", "context_external_tools", "tool_profiles", "announcements", "calendar_events", "rubrics", "groups", "learning_outcomes", "attachments"]}] },
    "GET_CURRENT_SETTINGS_FOR_ACCOUNT_OR_COURSE_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/csp_settings" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_CURRENT_SETTINGS_FOR_ACCOUNT_OR_COURSE_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/csp_settings" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ENABLE_DISABLE_OR_CLEAR_EXPLICIT_CSP_SETTING_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/csp_settings" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"status", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["enabled", "disabled", "inherited"]}] },
    "ENABLE_DISABLE_OR_CLEAR_EXPLICIT_CSP_SETTING_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/csp_settings" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"status", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["enabled", "disabled", "inherited"]}] },
    "LOCK_OR_UNLOCK_CURRENT_CSP_SETTINGS_FOR_SUB_ACCOUNTS_AND_COURSES" => { uri: ->(account_id:) { "accounts/#{account_id}/csp_settings/lock" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"settings_locked", "type"=>"boolean", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ADD_ALLOWED_DOMAIN_TO_ACCOUNT" => { uri: ->(account_id:) { "accounts/#{account_id}/csp_settings/domains" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"domain", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ADD_MULTIPLE_ALLOWED_DOMAINS_TO_ACCOUNT" => { uri: ->(account_id:) { "accounts/#{account_id}/csp_settings/domains/batch_create" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"domains", "type"=>"Array", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RETRIEVE_REPORTED_CSP_VIOLATIONS_FOR_ACCOUNT" => { uri: ->(account_id:) { "accounts/#{account_id}/csp_log" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REMOVE_DOMAIN_FROM_ACCOUNT" => { uri: ->(account_id:) { "accounts/#{account_id}/csp_settings/domains" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"domain", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_CONTENT_SHARE" => { uri: ->(user_id:) { "users/#{user_id}/content_shares" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"receiver_ids", "type"=>"Array", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"content_type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["assignment", "discussion_topic", "page", "quiz", "module", "module_item"]}, {"paramType"=>"form", "name"=>"content_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "LIST_CONTENT_SHARES_SENT" => { uri: ->(user_id:) { "users/#{user_id}/content_shares/sent" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_CONTENT_SHARES_RECEIVED" => { uri: ->(user_id:) { "users/#{user_id}/content_shares/received" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_UNREAD_SHARES_COUNT" => { uri: ->(user_id:) { "users/#{user_id}/content_shares/unread_count" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_CONTENT_SHARE" => { uri: ->(user_id:, id:) { "users/#{user_id}/content_shares/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REMOVE_CONTENT_SHARE" => { uri: ->(user_id:, id:) { "users/#{user_id}/content_shares/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ADD_USERS_TO_CONTENT_SHARE" => { uri: ->(user_id:, id:) { "users/#{user_id}/content_shares/#{id}/add_users" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"receiver_ids", "type"=>"Array", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_CONTENT_SHARE" => { uri: ->(user_id:, id:) { "users/#{user_id}/content_shares/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"read_state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["read", "unread"]}] },
    "LIST_CONVERSATIONS" => { uri: ->() { "conversations" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"scope", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["unread", "starred", "archived"]}, {"paramType"=>"query", "name"=>"filter", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"filter_mode", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["and", "or", "default or"]}, {"paramType"=>"query", "name"=>"interleave_submissions", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include_all_conversation_ids", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["participant_avatars"], "items"=>{"type"=>"string"}}] },
    "CREATE_CONVERSATION" => { uri: ->() { "conversations" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"recipients", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"subject", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"body", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"force_new", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"group_conversation", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"media_comment_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"media_comment_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["audio", "video"]}, {"paramType"=>"form", "name"=>"user_note", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"mode", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["sync", "async"]}, {"paramType"=>"form", "name"=>"scope", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["unread", "starred", "archived"]}, {"paramType"=>"form", "name"=>"filter", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"filter_mode", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["and", "or", "default or"]}, {"paramType"=>"form", "name"=>"context_code", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_RUNNING_BATCHES" => { uri: ->() { "conversations/batches" }, method: "GET", parameters: [] },
    "GET_SINGLE_CONVERSATION" => { uri: ->(id:) { "conversations/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"interleave_submissions", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"scope", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["unread", "starred", "archived"]}, {"paramType"=>"query", "name"=>"filter", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"filter_mode", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["and", "or", "default or"]}, {"paramType"=>"query", "name"=>"auto_mark_as_read", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "EDIT_CONVERSATION" => { uri: ->(id:) { "conversations/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"conversation[workflow_state]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["read", "unread", "archived"]}, {"paramType"=>"form", "name"=>"conversation[subscribed]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"conversation[starred]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"scope", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["unread", "starred", "archived"]}, {"paramType"=>"form", "name"=>"filter", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"filter_mode", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["and", "or", "default or"]}] },
    "MARK_ALL_AS_READ" => { uri: ->() { "conversations/mark_all_as_read" }, method: "POST", parameters: [] },
    "DELETE_CONVERSATION" => { uri: ->(id:) { "conversations/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ADD_RECIPIENTS" => { uri: ->(id:) { "conversations/#{id}/add_recipients" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"recipients", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "ADD_MESSAGE" => { uri: ->(id:) { "conversations/#{id}/add_message" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"body", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"media_comment_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"media_comment_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["audio", "video"]}, {"paramType"=>"form", "name"=>"recipients", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"included_messages", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"user_note", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_MESSAGE" => { uri: ->(id:) { "conversations/#{id}/remove_messages" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"remove", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "BATCH_UPDATE_CONVERSATIONS" => { uri: ->() { "conversations" }, method: "PUT", parameters: [{"paramType"=>"form", "name"=>"conversation_ids", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"event", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["mark_as_read", "mark_as_unread", "star", "unstar", "archive", "destroy"]}] },
    "FIND_RECIPIENTS" => { uri: ->() { "conversations/find_recipients" }, method: "GET", parameters: [] },
    "UNREAD_COUNT" => { uri: ->() { "conversations/unread_count" }, method: "GET", parameters: [] },
    "COURSE_AUDIT_LOG_QUERY_BY_COURSE" => { uri: ->(course_id:) { "audit/course/courses/#{course_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "COURSE_AUDIT_LOG_QUERY_BY_ACCOUNT" => { uri: ->(account_id:) { "audit/course/accounts/#{account_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "COURSE_QUIZ_EXTENSIONS_SET_EXTENSIONS_FOR_STUDENT_QUIZ_SUBMISSIONS" => { uri: ->(course_id:) { "courses/#{course_id}/quiz_extensions" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"extra_attempts", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"extra_time", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"manually_unlocked", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"extend_from_now", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"extend_from_end_at", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "LIST_YOUR_COURSES" => { uri: ->() { "courses" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"enrollment_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["teacher", "student", "ta", "observer", "designer"]}, {"paramType"=>"query", "name"=>"enrollment_role", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"enrollment_role_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"enrollment_state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "invited_or_pending", "completed"]}, {"paramType"=>"query", "name"=>"exclude_blueprint_courses", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["needs_grading_count", "syllabus_body", "public_description", "total_scores", "current_grading_period_scores", "grading_periods", "term", "account", "course_progress", "sections", "storage_quota_used_mb", "total_students", "passback_status", "favorites", "teachers", "observed_users", "course_image", "concluded"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["unpublished", "available", "completed", "deleted"], "items"=>{"type"=>"string"}}] },
    "LIST_COURSES_FOR_USER" => { uri: ->(user_id:) { "users/#{user_id}/courses" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["needs_grading_count", "syllabus_body", "public_description", "total_scores", "current_grading_period_scores", "grading_periods", "term", "account", "course_progress", "sections", "storage_quota_used_mb", "total_students", "passback_status", "favorites", "teachers", "observed_users", "course_image", "concluded"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["unpublished", "available", "completed", "deleted"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"enrollment_state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "invited_or_pending", "completed"]}, {"paramType"=>"query", "name"=>"homeroom", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_USER_PROGRESS" => { uri: ->(course_id:, user_id:) { "courses/#{course_id}/users/#{user_id}/progress" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_NEW_COURSE" => { uri: ->(account_id:) { "accounts/#{account_id}/courses" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[course_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[license]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[is_public]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[is_public_to_auth_users]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[public_syllabus]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[public_syllabus_to_auth]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[public_description]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[allow_student_wiki_edits]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[allow_wiki_comments]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[allow_student_forum_attachments]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[open_enrollment]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[self_enrollment]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[restrict_enrollments_to_course_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[term_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[sis_course_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[integration_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[hide_final_grades]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[apply_assignment_group_weights]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[time_zone]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"offer", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enroll_me", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[default_view]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["feed", "wiki", "modules", "syllabus", "assignments"]}, {"paramType"=>"form", "name"=>"course[syllabus_body]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[grading_standard_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[grade_passback_setting]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[course_format]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enable_sis_reactivation", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "COURSES_UPLOAD_FILE" => { uri: ->(course_id:) { "courses/#{course_id}/files" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_STUDENTS" => { uri: ->(course_id:) { "courses/#{course_id}/students" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_USERS_IN_COURSE_USERS" => { uri: ->(course_id:) { "courses/#{course_id}/users" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["username", "last_login", "email", "sis_id"]}, {"paramType"=>"query", "name"=>"enrollment_type", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["teacher", "student", "student_view", "ta", "observer", "designer"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"enrollment_role", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"enrollment_role_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["enrollments", "locked", "avatar_url", "test_student", "bio", "custom_links", "current_grading_period_scores", "uuid"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"user_ids", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"query", "name"=>"enrollment_state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "invited", "rejected", "completed", "inactive"], "items"=>{"type"=>"string"}}] },
    "LIST_USERS_IN_COURSE_SEARCH_USERS" => { uri: ->(course_id:) { "courses/#{course_id}/search_users" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["username", "last_login", "email", "sis_id"]}, {"paramType"=>"query", "name"=>"enrollment_type", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["teacher", "student", "student_view", "ta", "observer", "designer"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"enrollment_role", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"enrollment_role_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["enrollments", "locked", "avatar_url", "test_student", "bio", "custom_links", "current_grading_period_scores", "uuid"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"user_ids", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"query", "name"=>"enrollment_state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "invited", "rejected", "completed", "inactive"], "items"=>{"type"=>"string"}}] },
    "LIST_RECENTLY_LOGGED_IN_STUDENTS" => { uri: ->(course_id:) { "courses/#{course_id}/recent_students" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_USER" => { uri: ->(course_id:, id:) { "courses/#{course_id}/users/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SEARCH_FOR_CONTENT_SHARE_USERS" => { uri: ->(course_id:) { "courses/#{course_id}/content_share_users" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "COURSES_PREVIEW_PROCESSED_HTML" => { uri: ->(course_id:) { "courses/#{course_id}/preview_html" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"html", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "COURSE_ACTIVITY_STREAM" => { uri: ->(course_id:) { "courses/#{course_id}/activity_stream" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "COURSE_ACTIVITY_STREAM_SUMMARY" => { uri: ->(course_id:) { "courses/#{course_id}/activity_stream/summary" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "COURSE_TODO_ITEMS" => { uri: ->(course_id:) { "courses/#{course_id}/todo" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_CONCLUDE_COURSE" => { uri: ->(id:) { "courses/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"event", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["delete", "conclude"]}] },
    "GET_COURSE_SETTINGS" => { uri: ->(course_id:) { "courses/#{course_id}/settings" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_COURSE_SETTINGS" => { uri: ->(course_id:) { "courses/#{course_id}/settings" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"allow_student_discussion_topics", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"allow_student_forum_attachments", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"allow_student_discussion_editing", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"allow_student_organized_groups", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"filter_speed_grader_by_student_group", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hide_final_grades", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hide_distribution_graphs", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hide_sections_on_course_users_page", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"lock_all_announcements", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"usage_rights_required", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"restrict_student_past_view", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"restrict_student_future_view", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"show_announcements_on_home_page", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"home_page_announcement_limit", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"syllabus_course_summary", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "RETURN_TEST_STUDENT_FOR_COURSE" => { uri: ->(course_id:) { "courses/#{course_id}/student_view_student" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_COURSE_COURSES" => { uri: ->(id:) { "courses/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["needs_grading_count", "syllabus_body", "public_description", "total_scores", "current_grading_period_scores", "term", "account", "course_progress", "sections", "storage_quota_used_mb", "total_students", "passback_status", "favorites", "teachers", "observed_users", "all_courses", "permissions", "observed_users", "course_image", "concluded"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"teacher_limit", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "GET_SINGLE_COURSE_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/courses/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["needs_grading_count", "syllabus_body", "public_description", "total_scores", "current_grading_period_scores", "term", "account", "course_progress", "sections", "storage_quota_used_mb", "total_students", "passback_status", "favorites", "teachers", "observed_users", "all_courses", "permissions", "observed_users", "course_image", "concluded"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"teacher_limit", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "UPDATE_COURSE" => { uri: ->(id:) { "courses/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[account_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[course_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[license]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[is_public]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[is_public_to_auth_users]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[public_syllabus]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[public_syllabus_to_auth]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[public_description]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[allow_student_wiki_edits]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[allow_wiki_comments]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[allow_student_forum_attachments]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[open_enrollment]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[self_enrollment]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[restrict_enrollments_to_course_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[term_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[sis_course_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[integration_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[hide_final_grades]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[time_zone]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[apply_assignment_group_weights]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[storage_quota_mb]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"offer", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[event]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["claim", "offer", "conclude", "delete", "undelete"]}, {"paramType"=>"form", "name"=>"course[default_view]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["feed", "wiki", "modules", "syllabus", "assignments"]}, {"paramType"=>"form", "name"=>"course[syllabus_body]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[syllabus_course_summary]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[grading_standard_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[grade_passback_setting]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[course_format]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[image_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[image_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[remove_image]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[blueprint]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[blueprint_restrictions]", "type"=>"BlueprintRestriction", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[use_blueprint_restrictions_by_object_type]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[blueprint_restrictions_by_object_type]", "type"=>"multiple BlueprintRestrictions", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[homeroom_course]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[sync_enrollments_from_homeroom]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[homeroom_course_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[template]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course[course_color]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_COURSES" => { uri: ->(account_id:) { "accounts/#{account_id}/courses" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_ids", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"event", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["offer", "conclude", "delete", "undelete"]}] },
    "RESET_COURSE" => { uri: ->(course_id:) { "courses/#{course_id}/reset_content" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_EFFECTIVE_DUE_DATES" => { uri: ->(course_id:) { "courses/#{course_id}/effective_due_dates" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"assignment_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "COURSES_PERMISSIONS" => { uri: ->(course_id:) { "courses/#{course_id}/permissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"permissions", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "GET_COURSE_COPY_STATUS" => { uri: ->(course_id:, id:) { "courses/#{course_id}/course_copy/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "COPY_COURSE_CONTENT" => { uri: ->(course_id:) { "courses/#{course_id}/course_copy" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"source_course", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"except", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["course_settings", "assignments", "external_tools", "files", "topics", "calendar_events", "quizzes", "wiki_pages", "modules", "outcomes"], "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"only", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["course_settings", "assignments", "external_tools", "files", "topics", "calendar_events", "quizzes", "wiki_pages", "modules", "outcomes"], "items"=>{"type"=>"string"}}] },
    "LIST_CUSTOM_GRADEBOOK_COLUMNS" => { uri: ->(course_id:) { "courses/#{course_id}/custom_gradebook_columns" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include_hidden", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_CUSTOM_GRADEBOOK_COLUMN" => { uri: ->(course_id:) { "courses/#{course_id}/custom_gradebook_columns" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"column[title]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"column[position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"column[hidden]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"column[teacher_notes]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"column[read_only]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_CUSTOM_GRADEBOOK_COLUMN" => { uri: ->(course_id:, id:) { "courses/#{course_id}/custom_gradebook_columns/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_CUSTOM_GRADEBOOK_COLUMN" => { uri: ->(course_id:, id:) { "courses/#{course_id}/custom_gradebook_columns/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REORDER_CUSTOM_COLUMNS" => { uri: ->(course_id:) { "courses/#{course_id}/custom_gradebook_columns/reorder" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"order", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "LIST_ENTRIES_FOR_COLUMN" => { uri: ->(course_id:, id:) { "courses/#{course_id}/custom_gradebook_columns/#{id}/data" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include_hidden", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_COLUMN_DATA" => { uri: ->(course_id:, id:, user_id:) { "courses/#{course_id}/custom_gradebook_columns/#{id}/data/#{user_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"column_data[content]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "BULK_UPDATE_COLUMN_DATA" => { uri: ->(course_id:) { "courses/#{course_id}/custom_gradebook_column_data" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"column_data", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}] },
    "LIST_DISCUSSION_TOPICS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/discussion_topics" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["all_dates", "sections", "sections_user_count", "overrides"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"order_by", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["position", "recent_activity", "title"]}, {"paramType"=>"query", "name"=>"scope", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["locked", "unlocked", "pinned", "unpinned"]}, {"paramType"=>"query", "name"=>"only_announcements", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"filter_by", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["all", "unread"]}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"exclude_context_module_locked_topics", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_DISCUSSION_TOPICS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/discussion_topics" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["all_dates", "sections", "sections_user_count", "overrides"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"order_by", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["position", "recent_activity", "title"]}, {"paramType"=>"query", "name"=>"scope", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["locked", "unlocked", "pinned", "unpinned"]}, {"paramType"=>"query", "name"=>"only_announcements", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"filter_by", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["all", "unread"]}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"exclude_context_module_locked_topics", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_NEW_DISCUSSION_TOPIC_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/discussion_topics" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"message", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"discussion_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["side_comment", "threaded"]}, {"paramType"=>"form", "name"=>"published", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"delayed_post_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"allow_rating", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"lock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"podcast_enabled", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"podcast_has_student_posts", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"require_initial_post", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment", "type"=>"Assignment", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"is_announcement", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pinned", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position_after", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"group_category_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"only_graders_can_rate", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sort_by_rating", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment", "type"=>"File", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"specific_sections", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_NEW_DISCUSSION_TOPIC_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/discussion_topics" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"message", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"discussion_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["side_comment", "threaded"]}, {"paramType"=>"form", "name"=>"published", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"delayed_post_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"allow_rating", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"lock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"podcast_enabled", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"podcast_has_student_posts", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"require_initial_post", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment", "type"=>"Assignment", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"is_announcement", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pinned", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position_after", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"group_category_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"only_graders_can_rate", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sort_by_rating", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment", "type"=>"File", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"specific_sections", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_TOPIC_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"message", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"discussion_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["side_comment", "threaded"]}, {"paramType"=>"form", "name"=>"published", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"delayed_post_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"lock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"podcast_enabled", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"podcast_has_student_posts", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"require_initial_post", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment", "type"=>"Assignment", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"is_announcement", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pinned", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position_after", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"group_category_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"allow_rating", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"only_graders_can_rate", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sort_by_rating", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"specific_sections", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_TOPIC_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"message", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"discussion_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["side_comment", "threaded"]}, {"paramType"=>"form", "name"=>"published", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"delayed_post_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"lock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"podcast_enabled", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"podcast_has_student_posts", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"require_initial_post", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment", "type"=>"Assignment", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"is_announcement", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pinned", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position_after", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"group_category_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"allow_rating", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"only_graders_can_rate", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sort_by_rating", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"specific_sections", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_TOPIC_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_TOPIC_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REORDER_PINNED_TOPICS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/discussion_topics/reorder" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"order", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "REORDER_PINNED_TOPICS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/discussion_topics/reorder" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"order", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "UPDATE_ENTRY_COURSES" => { uri: ->(course_id:, topic_id:, id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/entries/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"message", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_ENTRY_GROUPS" => { uri: ->(group_id:, topic_id:, id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/entries/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"message", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_ENTRY_COURSES" => { uri: ->(course_id:, topic_id:, id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/entries/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_ENTRY_GROUPS" => { uri: ->(group_id:, topic_id:, id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/entries/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_TOPIC_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["all_dates", "sections", "sections_user_count", "overrides"], "items"=>{"type"=>"string"}}] },
    "GET_SINGLE_TOPIC_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["all_dates", "sections", "sections_user_count", "overrides"], "items"=>{"type"=>"string"}}] },
    "GET_FULL_TOPIC_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/view" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_FULL_TOPIC_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/view" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "POST_ENTRY_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/entries" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"message", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "POST_ENTRY_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/entries" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"message", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DUPLICATE_DISCUSSION_TOPIC_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/duplicate" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DUPLICATE_DISCUSSION_TOPIC_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/duplicate" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_TOPIC_ENTRIES_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/entries" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_TOPIC_ENTRIES_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/entries" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "POST_REPLY_COURSES" => { uri: ->(course_id:, topic_id:, entry_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/entries/#{entry_id}/replies" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"entry_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"message", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "POST_REPLY_GROUPS" => { uri: ->(group_id:, topic_id:, entry_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/entries/#{entry_id}/replies" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"entry_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"message", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_ENTRY_REPLIES_COURSES" => { uri: ->(course_id:, topic_id:, entry_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/entries/#{entry_id}/replies" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"entry_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ENTRY_REPLIES_GROUPS" => { uri: ->(group_id:, topic_id:, entry_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/entries/#{entry_id}/replies" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"entry_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ENTRIES_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/entry_list" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "LIST_ENTRIES_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/entry_list" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "MARK_TOPIC_AS_READ_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/read" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MARK_TOPIC_AS_READ_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/read" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MARK_TOPIC_AS_UNREAD_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/read" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MARK_TOPIC_AS_UNREAD_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/read" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MARK_ALL_ENTRIES_AS_READ_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/read_all" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"forced_read_state", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "MARK_ALL_ENTRIES_AS_READ_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/read_all" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"forced_read_state", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "MARK_ALL_ENTRIES_AS_UNREAD_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/read_all" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"forced_read_state", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "MARK_ALL_ENTRIES_AS_UNREAD_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/read_all" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"forced_read_state", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "MARK_ENTRY_AS_READ_COURSES" => { uri: ->(course_id:, topic_id:, entry_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/entries/#{entry_id}/read" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"entry_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"forced_read_state", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "MARK_ENTRY_AS_READ_GROUPS" => { uri: ->(group_id:, topic_id:, entry_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/entries/#{entry_id}/read" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"entry_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"forced_read_state", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "MARK_ENTRY_AS_UNREAD_COURSES" => { uri: ->(course_id:, topic_id:, entry_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/entries/#{entry_id}/read" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"entry_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"forced_read_state", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "MARK_ENTRY_AS_UNREAD_GROUPS" => { uri: ->(group_id:, topic_id:, entry_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/entries/#{entry_id}/read" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"entry_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"forced_read_state", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "RATE_ENTRY_COURSES" => { uri: ->(course_id:, topic_id:, entry_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/entries/#{entry_id}/rating" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"entry_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rating", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "RATE_ENTRY_GROUPS" => { uri: ->(group_id:, topic_id:, entry_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/entries/#{entry_id}/rating" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"entry_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rating", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "SUBSCRIBE_TO_TOPIC_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/subscribed" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SUBSCRIBE_TO_TOPIC_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/subscribed" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UNSUBSCRIBE_FROM_TOPIC_COURSES" => { uri: ->(course_id:, topic_id:) { "courses/#{course_id}/discussion_topics/#{topic_id}/subscribed" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UNSUBSCRIBE_FROM_TOPIC_GROUPS" => { uri: ->(group_id:, topic_id:) { "groups/#{group_id}/discussion_topics/#{topic_id}/subscribed" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"topic_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_ENROLLMENT_TERM" => { uri: ->(account_id:) { "accounts/#{account_id}/terms" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[sis_term_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[overrides][enrollment_type][start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[overrides][enrollment_type][end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_ENROLLMENT_TERM" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/terms/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[sis_term_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[overrides][enrollment_type][start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment_term[overrides][enrollment_type][end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_ENROLLMENT_TERM" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/terms/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ENROLLMENT_TERMS" => { uri: ->(account_id:) { "accounts/#{account_id}/terms" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"workflow_state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "deleted", "all"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["overrides"], "items"=>{"type"=>"string"}}] },
    "RETRIEVE_ENROLLMENT_TERM" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/terms/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ENROLLMENTS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/enrollments" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"type", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"role", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "invited", "creation_pending", "deleted", "rejected", "completed", "inactive", "current_and_invited", "current_and_future", "current_and_concluded"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["avatar_url", "group_ids", "locked", "observed_users", "can_be_removed", "uuid", "current_points"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"grading_period_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"enrollment_term_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sis_account_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sis_course_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sis_section_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sis_user_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"created_for_sis_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"boolean"}}] },
    "LIST_ENROLLMENTS_SECTIONS" => { uri: ->(section_id:) { "sections/#{section_id}/enrollments" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"type", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"role", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "invited", "creation_pending", "deleted", "rejected", "completed", "inactive", "current_and_invited", "current_and_future", "current_and_concluded"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["avatar_url", "group_ids", "locked", "observed_users", "can_be_removed", "uuid", "current_points"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"grading_period_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"enrollment_term_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sis_account_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sis_course_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sis_section_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sis_user_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"created_for_sis_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"boolean"}}] },
    "LIST_ENROLLMENTS_USERS" => { uri: ->(user_id:) { "users/#{user_id}/enrollments" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"type", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"role", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "invited", "creation_pending", "deleted", "rejected", "completed", "inactive", "current_and_invited", "current_and_future", "current_and_concluded"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["avatar_url", "group_ids", "locked", "observed_users", "can_be_removed", "uuid", "current_points"], "items"=>{"type"=>"string"}}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"grading_period_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"enrollment_term_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sis_account_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sis_course_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sis_section_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sis_user_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"created_for_sis_id", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"boolean"}}] },
    "ENROLLMENT_BY_ID" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/enrollments/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "ENROLL_USER_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/enrollments" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[user_id]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[type]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["StudentEnrollment", "TeacherEnrollment", "TaEnrollment", "ObserverEnrollment", "DesignerEnrollment"]}, {"paramType"=>"form", "name"=>"enrollment[role]", "type"=>"Deprecated", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[role_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[enrollment_state]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "invited", "inactive"]}, {"paramType"=>"form", "name"=>"enrollment[course_section_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[limit_privileges_to_course_section]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[notify]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[self_enrollment_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[self_enrolled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[associated_user_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "ENROLL_USER_SECTIONS" => { uri: ->(section_id:) { "sections/#{section_id}/enrollments" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[user_id]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[type]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["StudentEnrollment", "TeacherEnrollment", "TaEnrollment", "ObserverEnrollment", "DesignerEnrollment"]}, {"paramType"=>"form", "name"=>"enrollment[role]", "type"=>"Deprecated", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[role_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[enrollment_state]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "invited", "inactive"]}, {"paramType"=>"form", "name"=>"enrollment[course_section_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[limit_privileges_to_course_section]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[notify]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[self_enrollment_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[self_enrolled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enrollment[associated_user_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CONCLUDE_DEACTIVATE_OR_DELETE_ENROLLMENT" => { uri: ->(course_id:, id:) { "courses/#{course_id}/enrollments/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"task", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["conclude", "delete", "inactivate", "deactivate"]}] },
    "ACCEPT_COURSE_INVITATION" => { uri: ->(course_id:, id:) { "courses/#{course_id}/enrollments/#{id}/accept" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REJECT_COURSE_INVITATION" => { uri: ->(course_id:, id:) { "courses/#{course_id}/enrollments/#{id}/reject" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RE_ACTIVATE_ENROLLMENT" => { uri: ->(course_id:, id:) { "courses/#{course_id}/enrollments/#{id}/reactivate" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ADDS_LAST_ATTENDED_DATE_TO_STUDENT_ENROLLMENT_IN_COURSE" => { uri: ->(course_id:, user_id:) { "courses/#{course_id}/users/#{user_id}/last_attended" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_ERROR_REPORT" => { uri: ->() { "error_reports" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"error[subject]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"error[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"error[email]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"error[comments]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"error[http_env]", "type"=>"SerializedHash", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_EXTERNAL_TOOLS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/external_tools" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"selectable", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include_parents", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_EXTERNAL_TOOLS_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/external_tools" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"selectable", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include_parents", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_EXTERNAL_TOOLS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/external_tools" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"selectable", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include_parents", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_SESSIONLESS_LAUNCH_URL_FOR_EXTERNAL_TOOL_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/external_tools/sessionless_launch" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"module_item_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"launch_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assessment", "module_item"]}] },
    "GET_SESSIONLESS_LAUNCH_URL_FOR_EXTERNAL_TOOL_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/external_tools/sessionless_launch" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"module_item_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"launch_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assessment", "module_item"]}] },
    "GET_SINGLE_EXTERNAL_TOOL_COURSES" => { uri: ->(course_id:, external_tool_id:) { "courses/#{course_id}/external_tools/#{external_tool_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"external_tool_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_EXTERNAL_TOOL_ACCOUNTS" => { uri: ->(account_id:, external_tool_id:) { "accounts/#{account_id}/external_tools/#{external_tool_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"external_tool_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_EXTERNAL_TOOL_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/external_tools" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"client_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"privacy_level", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["anonymous", "name_only", "public"]}, {"paramType"=>"form", "name"=>"consumer_key", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"shared_secret", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"domain", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"icon_url", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"text", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"custom_fields[field_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"is_rce_favorite", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[selection_width]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[selection_height]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[display_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_navigation[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_navigation[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_navigation[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_navigation[visibility]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["admins", "members", "public"]}, {"paramType"=>"form", "name"=>"course_home_sub_navigation[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_home_sub_navigation[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_home_sub_navigation[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_home_sub_navigation[icon_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_navigation[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_navigation[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_navigation[visibility]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["admins", "members"]}, {"paramType"=>"form", "name"=>"course_navigation[windowTarget]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["_blank", "_self"]}, {"paramType"=>"form", "name"=>"course_navigation[default]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["disabled", "enabled"]}, {"paramType"=>"form", "name"=>"course_navigation[display_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[icon_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[selection_width]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[selection_height]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[message_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"homework_submission[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"homework_submission[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"homework_submission[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"homework_submission[message_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"link_selection[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"link_selection[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"link_selection[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"link_selection[message_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"migration_selection[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"migration_selection[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"migration_selection[message_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"tool_configuration[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"tool_configuration[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"tool_configuration[message_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"tool_configuration[prefer_sis_email]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resource_selection[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resource_selection[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resource_selection[icon_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resource_selection[selection_width]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resource_selection[selection_height]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"config_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"config_xml", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"config_url", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"not_selectable", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"oauth_compliant", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_EXTERNAL_TOOL_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/external_tools" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"client_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"privacy_level", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["anonymous", "name_only", "public"]}, {"paramType"=>"form", "name"=>"consumer_key", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"shared_secret", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"domain", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"icon_url", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"text", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"custom_fields[field_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"is_rce_favorite", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[selection_width]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[selection_height]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"account_navigation[display_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_navigation[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_navigation[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_navigation[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_navigation[visibility]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["admins", "members", "public"]}, {"paramType"=>"form", "name"=>"course_home_sub_navigation[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_home_sub_navigation[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_home_sub_navigation[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_home_sub_navigation[icon_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_navigation[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_navigation[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_navigation[visibility]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["admins", "members"]}, {"paramType"=>"form", "name"=>"course_navigation[windowTarget]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["_blank", "_self"]}, {"paramType"=>"form", "name"=>"course_navigation[default]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["disabled", "enabled"]}, {"paramType"=>"form", "name"=>"course_navigation[display_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[icon_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[selection_width]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[selection_height]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"editor_button[message_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"homework_submission[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"homework_submission[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"homework_submission[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"homework_submission[message_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"link_selection[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"link_selection[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"link_selection[text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"link_selection[message_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"migration_selection[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"migration_selection[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"migration_selection[message_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"tool_configuration[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"tool_configuration[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"tool_configuration[message_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"tool_configuration[prefer_sis_email]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resource_selection[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resource_selection[enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resource_selection[icon_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resource_selection[selection_width]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resource_selection[selection_height]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"config_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"config_xml", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"config_url", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"not_selectable", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"oauth_compliant", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "EDIT_EXTERNAL_TOOL_COURSES" => { uri: ->(course_id:, external_tool_id:) { "courses/#{course_id}/external_tools/#{external_tool_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"external_tool_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "EDIT_EXTERNAL_TOOL_ACCOUNTS" => { uri: ->(account_id:, external_tool_id:) { "accounts/#{account_id}/external_tools/#{external_tool_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"external_tool_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_EXTERNAL_TOOL_COURSES" => { uri: ->(course_id:, external_tool_id:) { "courses/#{course_id}/external_tools/#{external_tool_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"external_tool_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_EXTERNAL_TOOL_ACCOUNTS" => { uri: ->(account_id:, external_tool_id:) { "accounts/#{account_id}/external_tools/#{external_tool_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"external_tool_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ADD_TOOL_TO_RCE_FAVORITES" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/external_tools/rce_favorites/#{id}" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REMOVE_TOOL_FROM_RCE_FAVORITES" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/external_tools/rce_favorites/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_VISIBLE_COURSE_NAVIGATION_TOOLS" => { uri: ->() { "external_tools/visible_course_nav_tools" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"context_codes", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "GET_VISIBLE_COURSE_NAVIGATION_TOOLS_FOR_SINGLE_COURSE" => { uri: ->(course_id:) { "courses/#{course_id}/external_tools/visible_course_nav_tools" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_FAVORITE_COURSES" => { uri: ->() { "users/self/favorites/courses" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"exclude_blueprint_courses", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_FAVORITE_GROUPS" => { uri: ->() { "users/self/favorites/groups" }, method: "GET", parameters: [] },
    "ADD_COURSE_TO_FAVORITES" => { uri: ->(id:) { "users/self/favorites/courses/#{id}" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ADD_GROUP_TO_FAVORITES" => { uri: ->(id:) { "users/self/favorites/groups/#{id}" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REMOVE_COURSE_FROM_FAVORITES" => { uri: ->(id:) { "users/self/favorites/courses/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REMOVE_GROUP_FROM_FAVORITES" => { uri: ->(id:) { "users/self/favorites/groups/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RESET_COURSE_FAVORITES" => { uri: ->() { "users/self/favorites/courses" }, method: "DELETE", parameters: [] },
    "RESET_GROUP_FAVORITES" => { uri: ->() { "users/self/favorites/groups" }, method: "DELETE", parameters: [] },
    "LIST_FEATURES_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/features" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_FEATURES_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/features" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_FEATURES_USERS" => { uri: ->(user_id:) { "users/#{user_id}/features" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ENABLED_FEATURES_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/features/enabled" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ENABLED_FEATURES_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/features/enabled" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ENABLED_FEATURES_USERS" => { uri: ->(user_id:) { "users/#{user_id}/features/enabled" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ENVIRONMENT_FEATURES" => { uri: ->() { "features/environment" }, method: "GET", parameters: [] },
    "GET_FEATURE_FLAG_COURSES" => { uri: ->(course_id:, feature:) { "courses/#{course_id}/features/flags/#{feature}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"feature", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_FEATURE_FLAG_ACCOUNTS" => { uri: ->(account_id:, feature:) { "accounts/#{account_id}/features/flags/#{feature}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"feature", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_FEATURE_FLAG_USERS" => { uri: ->(user_id:, feature:) { "users/#{user_id}/features/flags/#{feature}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"feature", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SET_FEATURE_FLAG_COURSES" => { uri: ->(course_id:, feature:) { "courses/#{course_id}/features/flags/#{feature}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"feature", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["off", "allowed", "on"]}] },
    "SET_FEATURE_FLAG_ACCOUNTS" => { uri: ->(account_id:, feature:) { "accounts/#{account_id}/features/flags/#{feature}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"feature", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["off", "allowed", "on"]}] },
    "SET_FEATURE_FLAG_USERS" => { uri: ->(user_id:, feature:) { "users/#{user_id}/features/flags/#{feature}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"feature", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["off", "allowed", "on"]}] },
    "REMOVE_FEATURE_FLAG_COURSES" => { uri: ->(course_id:, feature:) { "courses/#{course_id}/features/flags/#{feature}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"feature", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REMOVE_FEATURE_FLAG_ACCOUNTS" => { uri: ->(account_id:, feature:) { "accounts/#{account_id}/features/flags/#{feature}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"feature", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REMOVE_FEATURE_FLAG_USERS" => { uri: ->(user_id:, feature:) { "users/#{user_id}/features/flags/#{feature}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"feature", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_QUOTA_INFORMATION_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/files/quota" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_QUOTA_INFORMATION_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/files/quota" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_QUOTA_INFORMATION_USERS" => { uri: ->(user_id:) { "users/#{user_id}/files/quota" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_FILES_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/files" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"content_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"exclude_content_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["user"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"only", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["name", "size", "created_at", "updated_at", "content_type", "user"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}] },
    "LIST_FILES_USERS" => { uri: ->(user_id:) { "users/#{user_id}/files" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"content_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"exclude_content_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["user"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"only", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["name", "size", "created_at", "updated_at", "content_type", "user"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}] },
    "LIST_FILES_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/files" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"content_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"exclude_content_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["user"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"only", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["name", "size", "created_at", "updated_at", "content_type", "user"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}] },
    "LIST_FILES_FOLDERS" => { uri: ->(id:) { "folders/#{id}/files" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"content_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"exclude_content_types", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["user"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"only", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["name", "size", "created_at", "updated_at", "content_type", "user"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}] },
    "GET_PUBLIC_INLINE_PREVIEW_URL" => { uri: ->(id:) { "files/#{id}/public_url" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"submission_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "GET_FILE_FILES" => { uri: ->(id:) { "files/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["user"], "items"=>{"type"=>"string"}}] },
    "GET_FILE_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/files/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["user"], "items"=>{"type"=>"string"}}] },
    "GET_FILE_GROUPS" => { uri: ->(group_id:, id:) { "groups/#{group_id}/files/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["user"], "items"=>{"type"=>"string"}}] },
    "GET_FILE_USERS" => { uri: ->(user_id:, id:) { "users/#{user_id}/files/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["user"], "items"=>{"type"=>"string"}}] },
    "UPDATE_FILE" => { uri: ->(id:) { "files/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_folder_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"on_duplicate", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["overwrite", "rename"]}, {"paramType"=>"form", "name"=>"lock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"unlock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"locked", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hidden", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_FILE" => { uri: ->(id:) { "files/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"replace", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "RESET_LINK_VERIFIER" => { uri: ->(id:) { "files/#{id}/reset_verifier" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_FOLDERS" => { uri: ->(id:) { "folders/#{id}/folders" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ALL_FOLDERS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/folders" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ALL_FOLDERS_USERS" => { uri: ->(user_id:) { "users/#{user_id}/folders" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ALL_FOLDERS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/folders" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RESOLVE_PATH_COURSES_FULL_PATH" => { uri: ->(course_id:) { "courses/#{course_id}/folders/by_path/*full_path" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RESOLVE_PATH_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/folders/by_path" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RESOLVE_PATH_USERS_FULL_PATH" => { uri: ->(user_id:) { "users/#{user_id}/folders/by_path/*full_path" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RESOLVE_PATH_USERS" => { uri: ->(user_id:) { "users/#{user_id}/folders/by_path" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RESOLVE_PATH_GROUPS_FULL_PATH" => { uri: ->(group_id:) { "groups/#{group_id}/folders/by_path/*full_path" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RESOLVE_PATH_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/folders/by_path" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_FOLDER_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/folders/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_FOLDER_USERS" => { uri: ->(user_id:, id:) { "users/#{user_id}/folders/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_FOLDER_GROUPS" => { uri: ->(group_id:, id:) { "groups/#{group_id}/folders/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_FOLDER_FOLDERS" => { uri: ->(id:) { "folders/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_FOLDER" => { uri: ->(id:) { "folders/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_folder_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"lock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"unlock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"locked", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hidden", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_FOLDER_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/folders" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_folder_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_folder_path", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"lock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"unlock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"locked", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hidden", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_FOLDER_USERS" => { uri: ->(user_id:) { "users/#{user_id}/folders" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_folder_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_folder_path", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"lock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"unlock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"locked", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hidden", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_FOLDER_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/folders" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_folder_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_folder_path", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"lock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"unlock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"locked", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hidden", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_FOLDER_FOLDERS" => { uri: ->(folder_id:) { "folders/#{folder_id}/folders" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"folder_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_folder_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_folder_path", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"lock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"unlock_at", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"locked", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hidden", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "DELETE_FOLDER" => { uri: ->(id:) { "folders/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"force", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "FILES_UPLOAD_FILE" => { uri: ->(folder_id:) { "folders/#{folder_id}/files" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"folder_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "COPY_FILE" => { uri: ->(dest_folder_id:) { "folders/#{dest_folder_id}/copy_file" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"dest_folder_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"source_file_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"on_duplicate", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["overwrite", "rename"]}] },
    "COPY_FOLDER" => { uri: ->(dest_folder_id:) { "folders/#{dest_folder_id}/copy_folder" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"dest_folder_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"source_folder_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_UPLOADED_MEDIA_FOLDER_FOR_USER_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/folders/media" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_UPLOADED_MEDIA_FOLDER_FOR_USER_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/folders/media" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SET_USAGE_RIGHTS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/usage_rights" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"file_ids", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"folder_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"publish", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"usage_rights[use_justification]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["own_copyright", "used_by_permission", "fair_use", "public_domain", "creative_commons"]}, {"paramType"=>"form", "name"=>"usage_rights[legal_copyright]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"usage_rights[license]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SET_USAGE_RIGHTS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/usage_rights" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"file_ids", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"folder_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"publish", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"usage_rights[use_justification]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["own_copyright", "used_by_permission", "fair_use", "public_domain", "creative_commons"]}, {"paramType"=>"form", "name"=>"usage_rights[legal_copyright]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"usage_rights[license]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SET_USAGE_RIGHTS_USERS" => { uri: ->(user_id:) { "users/#{user_id}/usage_rights" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"file_ids", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"folder_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"publish", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"usage_rights[use_justification]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["own_copyright", "used_by_permission", "fair_use", "public_domain", "creative_commons"]}, {"paramType"=>"form", "name"=>"usage_rights[legal_copyright]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"usage_rights[license]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "REMOVE_USAGE_RIGHTS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/usage_rights" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"file_ids", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"folder_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "REMOVE_USAGE_RIGHTS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/usage_rights" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"file_ids", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"folder_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "REMOVE_USAGE_RIGHTS_USERS" => { uri: ->(user_id:) { "users/#{user_id}/usage_rights" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"file_ids", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"folder_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "LIST_LICENSES_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/content_licenses" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_LICENSES_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/content_licenses" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_LICENSES_USERS" => { uri: ->(user_id:) { "users/#{user_id}/content_licenses" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "QUERY_BY_ASSIGNMENT" => { uri: ->(assignment_id:) { "audit/grade_change/assignments/#{assignment_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GRADE_CHANGE_LOG_QUERY_BY_COURSE" => { uri: ->(course_id:) { "audit/grade_change/courses/#{course_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "QUERY_BY_STUDENT" => { uri: ->(student_id:) { "audit/grade_change/students/#{student_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"student_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "QUERY_BY_GRADER" => { uri: ->(grader_id:) { "audit/grade_change/graders/#{grader_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"grader_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "ADVANCED_QUERY" => { uri: ->() { "audit/grade_change" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"assignment_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"student_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"grader_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DAYS_IN_GRADEBOOK_HISTORY_FOR_THIS_COURSE" => { uri: ->(course_id:) { "courses/#{course_id}/gradebook_history/days" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "DETAILS_FOR_GIVEN_DATE_IN_GRADEBOOK_HISTORY_FOR_THIS_COURSE" => { uri: ->(course_id:, date:) { "courses/#{course_id}/gradebook_history/#{date}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"date", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LISTS_SUBMISSIONS" => { uri: ->(course_id:, date:, grader_id:, assignment_id:) { "courses/#{course_id}/gradebook_history/#{date}/graders/#{grader_id}/assignments/#{assignment_id}/submissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"date", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"grader_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "LIST_UNCOLLATED_SUBMISSION_VERSIONS" => { uri: ->(course_id:) { "courses/#{course_id}/gradebook_history/feed" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"assignment_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"user_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"ascending", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_GRADING_PERIODS_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/grading_periods" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_GRADING_PERIODS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/grading_periods" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_GRADING_PERIOD" => { uri: ->(course_id:, id:) { "courses/#{course_id}/grading_periods/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_SINGLE_GRADING_PERIOD" => { uri: ->(course_id:, id:) { "courses/#{course_id}/grading_periods/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grading_periods[start_date]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"$ref"=>"Date"}}, {"paramType"=>"form", "name"=>"grading_periods[end_date]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"$ref"=>"Date"}}, {"paramType"=>"form", "name"=>"grading_periods[weight]", "type"=>"array", "format"=>"float", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"number"}}] },
    "DELETE_GRADING_PERIOD_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/grading_periods/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_GRADING_PERIOD_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/grading_periods/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_NEW_GRADING_STANDARD_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/grading_standards" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grading_scheme_entry[name]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"grading_scheme_entry[value]", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "CREATE_NEW_GRADING_STANDARD_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/grading_standards" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grading_scheme_entry[name]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"grading_scheme_entry[value]", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "LIST_GRADING_STANDARDS_AVAILABLE_IN_CONTEXT_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/grading_standards" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_GRADING_STANDARDS_AVAILABLE_IN_CONTEXT_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/grading_standards" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_GRADING_STANDARD_IN_CONTEXT_COURSES" => { uri: ->(course_id:, grading_standard_id:) { "courses/#{course_id}/grading_standards/#{grading_standard_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"grading_standard_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_GRADING_STANDARD_IN_CONTEXT_ACCOUNTS" => { uri: ->(account_id:, grading_standard_id:) { "accounts/#{account_id}/grading_standards/#{grading_standard_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"grading_standard_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_GROUP_CATEGORIES_FOR_CONTEXT_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/group_categories" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_GROUP_CATEGORIES_FOR_CONTEXT_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/group_categories" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_GROUP_CATEGORY" => { uri: ->(group_category_id:) { "group_categories/#{group_category_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_category_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_GROUP_CATEGORY_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/group_categories" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"self_signup", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["enabled", "restricted"]}, {"paramType"=>"form", "name"=>"auto_leader", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["first", "random"]}, {"paramType"=>"form", "name"=>"group_limit", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sis_group_category_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"create_group_count", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"split_group_count", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_GROUP_CATEGORY_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/group_categories" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"self_signup", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["enabled", "restricted"]}, {"paramType"=>"form", "name"=>"auto_leader", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["first", "random"]}, {"paramType"=>"form", "name"=>"group_limit", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sis_group_category_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"create_group_count", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"split_group_count", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "IMPORT_CATEGORY_GROUPS" => { uri: ->(group_category_id:) { "group_categories/#{group_category_id}/import" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_category_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_GROUP_CATEGORY" => { uri: ->(group_category_id:) { "group_categories/#{group_category_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_category_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"self_signup", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["enabled", "restricted"]}, {"paramType"=>"form", "name"=>"auto_leader", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["first", "random"]}, {"paramType"=>"form", "name"=>"group_limit", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sis_group_category_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"create_group_count", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"split_group_count", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_GROUP_CATEGORY" => { uri: ->(group_category_id:) { "group_categories/#{group_category_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_category_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_GROUPS_IN_GROUP_CATEGORY" => { uri: ->(group_category_id:) { "group_categories/#{group_category_id}/groups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_category_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "EXPORT_GROUPS_IN_AND_USERS_IN_CATEGORY" => { uri: ->(group_category_id:) { "group_categories/#{group_category_id}/export" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_category_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_USERS_IN_GROUP_CATEGORY" => { uri: ->(group_category_id:) { "group_categories/#{group_category_id}/users" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_category_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"unassigned", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "ASSIGN_UNASSIGNED_MEMBERS" => { uri: ->(group_category_id:) { "group_categories/#{group_category_id}/assign_unassigned_members" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_category_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sync", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_YOUR_GROUPS" => { uri: ->() { "users/self/groups" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"context_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["Account", "Course"]}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["tabs"], "items"=>{"type"=>"string"}}] },
    "LIST_GROUPS_AVAILABLE_IN_CONTEXT_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/groups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"only_own_groups", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["tabs"], "items"=>{"type"=>"string"}}] },
    "LIST_GROUPS_AVAILABLE_IN_CONTEXT_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/groups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"only_own_groups", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["tabs"], "items"=>{"type"=>"string"}}] },
    "GET_SINGLE_GROUP" => { uri: ->(group_id:) { "groups/#{group_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["permissions", "tabs"], "items"=>{"type"=>"string"}}] },
    "CREATE_GROUP_GROUPS" => { uri: ->() { "groups" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"is_public", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"join_level", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["parent_context_auto_join", "parent_context_request", "invitation_only"]}, {"paramType"=>"form", "name"=>"storage_quota_mb", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sis_group_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_GROUP_GROUP_CATEGORIES" => { uri: ->(group_category_id:) { "group_categories/#{group_category_id}/groups" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_category_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"is_public", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"join_level", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["parent_context_auto_join", "parent_context_request", "invitation_only"]}, {"paramType"=>"form", "name"=>"storage_quota_mb", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"sis_group_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "EDIT_GROUP" => { uri: ->(group_id:) { "groups/#{group_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"is_public", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"join_level", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["parent_context_auto_join", "parent_context_request", "invitation_only"]}, {"paramType"=>"form", "name"=>"avatar_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"storage_quota_mb", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"members", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"sis_group_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_GROUP" => { uri: ->(group_id:) { "groups/#{group_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "INVITE_OTHERS_TO_GROUP" => { uri: ->(group_id:) { "groups/#{group_id}/invite" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"invitees", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "LIST_GROUP_S_USERS" => { uri: ->(group_id:) { "groups/#{group_id}/users" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["avatar_url"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"exclude_inactive", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GROUPS_UPLOAD_FILE" => { uri: ->(group_id:) { "groups/#{group_id}/files" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GROUPS_PREVIEW_PROCESSED_HTML" => { uri: ->(group_id:) { "groups/#{group_id}/preview_html" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"html", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GROUP_ACTIVITY_STREAM" => { uri: ->(group_id:) { "groups/#{group_id}/activity_stream" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GROUP_ACTIVITY_STREAM_SUMMARY" => { uri: ->(group_id:) { "groups/#{group_id}/activity_stream/summary" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GROUPS_PERMISSIONS" => { uri: ->(group_id:) { "groups/#{group_id}/permissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"permissions", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "LIST_GROUP_MEMBERSHIPS" => { uri: ->(group_id:) { "groups/#{group_id}/memberships" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"filter_states", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["accepted", "invited", "requested"], "items"=>{"type"=>"string"}}] },
    "GET_SINGLE_GROUP_MEMBERSHIP_MEMBERSHIPS" => { uri: ->(group_id:, membership_id:) { "groups/#{group_id}/memberships/#{membership_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"membership_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_GROUP_MEMBERSHIP_USERS" => { uri: ->(group_id:, user_id:) { "groups/#{group_id}/users/#{user_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_MEMBERSHIP" => { uri: ->(group_id:) { "groups/#{group_id}/memberships" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_MEMBERSHIP_MEMBERSHIPS" => { uri: ->(group_id:, membership_id:) { "groups/#{group_id}/memberships/#{membership_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"membership_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"workflow_state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["accepted"]}, {"paramType"=>"form", "name"=>"moderator", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_MEMBERSHIP_USERS" => { uri: ->(group_id:, user_id:) { "groups/#{group_id}/users/#{user_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"workflow_state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["accepted"]}, {"paramType"=>"form", "name"=>"moderator", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LEAVE_GROUP_MEMBERSHIPS" => { uri: ->(group_id:, membership_id:) { "groups/#{group_id}/memberships/#{membership_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"membership_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LEAVE_GROUP_USERS" => { uri: ->(group_id:, user_id:) { "groups/#{group_id}/users/#{user_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_RECENT_HISTORY_FOR_USER" => { uri: ->(user_id:) { "users/#{user_id}/history" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "FIND_IMAGES" => { uri: ->() { "image_search" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"query", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CONFIRM_IMAGE_SELECTION" => { uri: ->(id:) { "image_selection/#{id}" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_INSTID" => { uri: ->() { "inst_ids" }, method: "POST", parameters: [] },
    "CREATE_JWT" => { uri: ->() { "jwts" }, method: "POST", parameters: [] },
    "REFRESH_JWT" => { uri: ->() { "jwts/refresh" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"jwt", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_LATE_POLICY" => { uri: ->(id:) { "courses/#{id}/late_policy" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_LATE_POLICY" => { uri: ->(id:) { "courses/#{id}/late_policy" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[missing_submission_deduction_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[missing_submission_deduction]", "type"=>"number", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[late_submission_deduction_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[late_submission_deduction]", "type"=>"number", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[late_submission_interval]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[late_submission_minimum_percent_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[late_submission_minimum_percent]", "type"=>"number", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "PATCH_LATE_POLICY" => { uri: ->(id:) { "courses/#{id}/late_policy" }, method: "PATCH", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[missing_submission_deduction_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[missing_submission_deduction]", "type"=>"number", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[late_submission_deduction_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[late_submission_deduction]", "type"=>"number", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[late_submission_interval]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[late_submission_minimum_percent_enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"late_policy[late_submission_minimum_percent]", "type"=>"number", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_LINE_ITEM" => { uri: ->(course_id:) { "/lti/courses/#{course_id}/line_items" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"scoreMaximum", "type"=>"number", "format"=>"float", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"label", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resourceId", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"tag", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resourceLinkId", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"https://canvas.instructure.com/lti/submission_type", "type"=>"object", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_LINE_ITEM" => { uri: ->(course_id:, id:) { "/lti/courses/#{course_id}/line_items/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"scoreMaximum", "type"=>"number", "format"=>"float", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"label", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"resourceId", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"tag", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SHOW_LINE_ITEM" => { uri: ->(course_id:, id:) { "/lti/courses/#{course_id}/line_items/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_LINE_ITEMS" => { uri: ->(course_id:) { "/lti/courses/#{course_id}/line_items" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"tag", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"resource_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"resource_link_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"limit", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_LINE_ITEM" => { uri: ->(course_id:, id:) { "/lti/courses/#{course_id}/line_items/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_LIVE_ASSESSMENT_RESULTS" => { uri: ->(course_id:, assessment_id:) { "courses/#{course_id}/live_assessments/#{assessment_id}/results" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assessment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_LIVE_ASSESSMENT_RESULTS" => { uri: ->(course_id:, assessment_id:) { "courses/#{course_id}/live_assessments/#{assessment_id}/results" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assessment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"user_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_OR_FIND_LIVE_ASSESSMENT" => { uri: ->(course_id:) { "courses/#{course_id}/live_assessments" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_LIVE_ASSESSMENTS" => { uri: ->(course_id:) { "courses/#{course_id}/live_assessments" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_USER_LOGINS_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/logins" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_USER_LOGINS_USERS" => { uri: ->(user_id:) { "users/#{user_id}/logins" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_USER_LOGIN" => { uri: ->(account_id:) { "accounts/#{account_id}/logins" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[id]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"login[unique_id]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"login[password]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"login[sis_user_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"login[integration_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"login[authentication_provider_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "EDIT_USER_LOGIN" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/logins/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"login[unique_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"login[password]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"login[sis_user_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"login[integration_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"login[authentication_provider_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_USER_LOGIN" => { uri: ->(user_id:, id:) { "users/#{user_id}/logins/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MEDIA_TRACKS_FOR_MEDIA_OBJECT" => { uri: ->(media_object_id:) { "media_objects/#{media_object_id}/media_tracks" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"media_object_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["content", "webvtt_content", "updated_at", "created_at"], "items"=>{"type"=>"string"}}] },
    "UPDATE_MEDIA_TRACKS" => { uri: ->(media_object_id:) { "media_objects/#{media_object_id}/media_tracks" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"media_object_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "LIST_MEDIA_OBJECTS_MEDIA_OBJECTS" => { uri: ->() { "media_objects" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["title", "created_at"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}, {"paramType"=>"query", "name"=>"exclude", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["sources", "tracks"], "items"=>{"type"=>"string"}}] },
    "LIST_MEDIA_OBJECTS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/media_objects" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["title", "created_at"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}, {"paramType"=>"query", "name"=>"exclude", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["sources", "tracks"], "items"=>{"type"=>"string"}}] },
    "LIST_MEDIA_OBJECTS_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/media_objects" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["title", "created_at"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}, {"paramType"=>"query", "name"=>"exclude", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["sources", "tracks"], "items"=>{"type"=>"string"}}] },
    "UPDATE_MEDIA_OBJECT" => { uri: ->(media_object_id:) { "media_objects/#{media_object_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"media_object_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_entered_title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_STUDENTS_SELECTED_FOR_MODERATION" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/moderated_students" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SELECT_STUDENTS_FOR_MODERATION" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/moderated_students" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"student_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"number"}}] },
    "BULK_SELECT_PROVISIONAL_GRADES" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/provisional_grades/bulk_select" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_PROVISIONAL_GRADE_STATUS_FOR_STUDENT" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/provisional_grades/status" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"student_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "SELECT_PROVISIONAL_GRADE" => { uri: ->(course_id:, assignment_id:, provisional_grade_id:) { "courses/#{course_id}/assignments/#{assignment_id}/provisional_grades/#{provisional_grade_id}/select" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"provisional_grade_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "PUBLISH_PROVISIONAL_GRADES_FOR_ASSIGNMENT" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/provisional_grades/publish" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MODERATED_GRADING_SHOW_PROVISIONAL_GRADE_STATUS_FOR_STUDENT" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/anonymous_provisional_grades/status" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"anonymous_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_MODULES" => { uri: ->(course_id:) { "courses/#{course_id}/modules" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["items", "content_details"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"student_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SHOW_MODULE" => { uri: ->(course_id:, id:) { "courses/#{course_id}/modules/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["items", "content_details"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"student_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_MODULE" => { uri: ->(course_id:) { "courses/#{course_id}/modules" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[name]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[unlock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[require_sequential_progress]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[prerequisite_module_ids]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"module[publish_final_grade]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_MODULE" => { uri: ->(course_id:, id:) { "courses/#{course_id}/modules/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[unlock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[require_sequential_progress]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[prerequisite_module_ids]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"module[publish_final_grade]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_MODULE" => { uri: ->(course_id:, id:) { "courses/#{course_id}/modules/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RE_LOCK_MODULE_PROGRESSIONS" => { uri: ->(course_id:, id:) { "courses/#{course_id}/modules/#{id}/relock" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MODULE_ITEMS" => { uri: ->(course_id:, module_id:) { "courses/#{course_id}/modules/#{module_id}/items" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"module_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["content_details"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"student_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SHOW_MODULE_ITEM" => { uri: ->(course_id:, module_id:, id:) { "courses/#{course_id}/modules/#{module_id}/items/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"module_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["content_details"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"student_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_MODULE_ITEM" => { uri: ->(course_id:, module_id:) { "courses/#{course_id}/modules/#{module_id}/items" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"module_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[type]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["File", "Page", "Discussion", "Assignment", "Quiz", "SubHeader", "ExternalUrl", "ExternalTool"]}, {"paramType"=>"form", "name"=>"module_item[content_id]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[indent]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[page_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[external_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[new_tab]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[completion_requirement][type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["must_view", "must_contribute", "must_submit", "must_mark_done"]}, {"paramType"=>"form", "name"=>"module_item[completion_requirement][min_score]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "UPDATE_MODULE_ITEM" => { uri: ->(course_id:, module_id:, id:) { "courses/#{course_id}/modules/#{module_id}/items/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"module_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[indent]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[external_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[new_tab]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[completion_requirement][type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["must_view", "must_contribute", "must_submit", "must_mark_done"]}, {"paramType"=>"form", "name"=>"module_item[completion_requirement][min_score]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"module_item[module_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SELECT_MASTERY_PATH" => { uri: ->(course_id:, module_id:, id:) { "courses/#{course_id}/modules/#{module_id}/items/#{id}/select_mastery_path" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"module_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"assignment_set_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"student_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_MODULE_ITEM" => { uri: ->(course_id:, module_id:, id:) { "courses/#{course_id}/modules/#{module_id}/items/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"module_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MARK_MODULE_ITEM_AS_DONE_NOT_DONE" => { uri: ->(course_id:, module_id:, id:) { "courses/#{course_id}/modules/#{module_id}/items/#{id}/done" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"module_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_MODULE_ITEM_SEQUENCE" => { uri: ->(course_id:) { "courses/#{course_id}/module_item_sequence" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"asset_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["ModuleItem", "File", "Page", "Discussion", "Assignment", "Quiz", "ExternalTool"]}, {"paramType"=>"query", "name"=>"asset_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "MARK_MODULE_ITEM_READ" => { uri: ->(course_id:, module_id:, id:) { "courses/#{course_id}/modules/#{module_id}/items/#{id}/mark_read" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"module_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_COURSE_MEMBERSHIPS" => { uri: ->(course_id:) { "/lti/courses/#{course_id}/names_and_roles" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"rlid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"role", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"limit", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "NAMES_AND_ROLE_LIST_GROUP_MEMBERSHIPS" => { uri: ->(group_id:) { "/lti/groups/#{group_id}/names_and_roles" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"`rlid`", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"role", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"limit", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_PREFERENCES_COMMUNICATION_CHANNEL_ID" => { uri: ->(user_id:, communication_channel_id:) { "users/#{user_id}/communication_channels/#{communication_channel_id}/notification_preferences" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"communication_channel_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_PREFERENCES_TYPE" => { uri: ->(user_id:, type:, address:) { "users/#{user_id}/communication_channels/#{type}/#{address}/notification_preferences" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"address", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_OF_PREFERENCE_CATEGORIES" => { uri: ->(user_id:, communication_channel_id:) { "users/#{user_id}/communication_channels/#{communication_channel_id}/notification_preference_categories" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"communication_channel_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_PREFERENCE_COMMUNICATION_CHANNEL_ID" => { uri: ->(user_id:, communication_channel_id:, notification:) { "users/#{user_id}/communication_channels/#{communication_channel_id}/notification_preferences/#{notification}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"communication_channel_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"notification", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_PREFERENCE_TYPE" => { uri: ->(user_id:, type:, address:, notification:) { "users/#{user_id}/communication_channels/#{type}/#{address}/notification_preferences/#{notification}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"address", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"notification", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_PREFERENCE_COMMUNICATION_CHANNEL_ID" => { uri: ->(communication_channel_id:, notification:) { "users/self/communication_channels/#{communication_channel_id}/notification_preferences/#{notification}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"communication_channel_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"notification", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"notification_preferences[frequency]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_PREFERENCE_TYPE" => { uri: ->(type:, address:, notification:) { "users/self/communication_channels/#{type}/#{address}/notification_preferences/#{notification}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"address", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"notification", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"notification_preferences[frequency]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_PREFERENCES_BY_CATEGORY" => { uri: ->(communication_channel_id:, category:) { "users/self/communication_channels/#{communication_channel_id}/notification_preference_categories/#{category}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"communication_channel_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"category", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"notification_preferences[frequency]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_MULTIPLE_PREFERENCES_COMMUNICATION_CHANNEL_ID" => { uri: ->(communication_channel_id:) { "users/self/communication_channels/#{communication_channel_id}/notification_preferences" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"communication_channel_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"notification_preferences[<X>][frequency]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_MULTIPLE_PREFERENCES_TYPE" => { uri: ->(type:, address:) { "users/self/communication_channels/#{type}/#{address}/notification_preferences" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"address", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"notification_preferences[<X>][frequency]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_ORIGINALITY_REPORT" => { uri: ->(assignment_id:, submission_id:) { "/lti/assignments/#{assignment_id}/submissions/#{submission_id}/originality_report" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[file_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[originality_score]", "type"=>"number", "format"=>"float", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[originality_report_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[originality_report_file_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[tool_setting][resource_type_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[tool_setting][resource_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[workflow_state]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[error_message]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[attempt]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "EDIT_ORIGINALITY_REPORT_SUBMISSIONS" => { uri: ->(assignment_id:, submission_id:, id:) { "/lti/assignments/#{assignment_id}/submissions/#{submission_id}/originality_report/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[originality_score]", "type"=>"number", "format"=>"float", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[originality_report_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[originality_report_file_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[tool_setting][resource_type_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[tool_setting][resource_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[workflow_state]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[error_message]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "EDIT_ORIGINALITY_REPORT_FILES" => { uri: ->(assignment_id:, file_id:) { "/lti/assignments/#{assignment_id}/files/#{file_id}/originality_report" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"file_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[originality_score]", "type"=>"number", "format"=>"float", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[originality_report_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[originality_report_file_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[tool_setting][resource_type_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[tool_setting][resource_url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[workflow_state]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"originality_report[error_message]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SHOW_ORIGINALITY_REPORT_SUBMISSIONS" => { uri: ->(assignment_id:, submission_id:, id:) { "/lti/assignments/#{assignment_id}/submissions/#{submission_id}/originality_report/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_ORIGINALITY_REPORT_FILES" => { uri: ->(assignment_id:, file_id:) { "/lti/assignments/#{assignment_id}/files/#{file_id}/originality_report" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"file_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REDIRECT_TO_ROOT_OUTCOME_GROUP_FOR_CONTEXT_GLOBAL" => { uri: ->() { "global/root_outcome_group" }, method: "GET", parameters: [] },
    "REDIRECT_TO_ROOT_OUTCOME_GROUP_FOR_CONTEXT_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/root_outcome_group" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REDIRECT_TO_ROOT_OUTCOME_GROUP_FOR_CONTEXT_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/root_outcome_group" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_ALL_OUTCOME_GROUPS_FOR_CONTEXT_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/outcome_groups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_ALL_OUTCOME_GROUPS_FOR_CONTEXT_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/outcome_groups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_ALL_OUTCOME_LINKS_FOR_CONTEXT_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/outcome_group_links" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"outcome_style", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"outcome_group_style", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_ALL_OUTCOME_LINKS_FOR_CONTEXT_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/outcome_group_links" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"outcome_style", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"outcome_group_style", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SHOW_OUTCOME_GROUP_GLOBAL" => { uri: ->(id:) { "global/outcome_groups/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_OUTCOME_GROUP_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/outcome_groups/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_OUTCOME_GROUP_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/outcome_groups/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_OUTCOME_GROUP_GLOBAL" => { uri: ->(id:) { "global/outcome_groups/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_outcome_group_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "UPDATE_OUTCOME_GROUP_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/outcome_groups/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_outcome_group_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "UPDATE_OUTCOME_GROUP_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/outcome_groups/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"parent_outcome_group_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "DELETE_OUTCOME_GROUP_GLOBAL" => { uri: ->(id:) { "global/outcome_groups/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_OUTCOME_GROUP_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/outcome_groups/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_OUTCOME_GROUP_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/outcome_groups/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_LINKED_OUTCOMES_GLOBAL" => { uri: ->(id:) { "global/outcome_groups/#{id}/outcomes" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"outcome_style", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_LINKED_OUTCOMES_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/outcome_groups/#{id}/outcomes" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"outcome_style", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_LINKED_OUTCOMES_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/outcome_groups/#{id}/outcomes" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"outcome_style", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_LINK_OUTCOME_GLOBAL" => { uri: ->(id:) { "global/outcome_groups/#{id}/outcomes" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"outcome_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"move_from", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"display_name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"mastery_points", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"ratings[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"ratings[points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"calculation_method", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["decaying_average", "n_mastery", "latest", "highest"]}, {"paramType"=>"form", "name"=>"calculation_int", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_LINK_OUTCOME_GLOBAL_OUTCOME_ID" => { uri: ->(id:, outcome_id:) { "global/outcome_groups/#{id}/outcomes/#{outcome_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"outcome_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"move_from", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"display_name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"mastery_points", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"ratings[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"ratings[points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"calculation_method", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["decaying_average", "n_mastery", "latest", "highest"]}, {"paramType"=>"form", "name"=>"calculation_int", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_LINK_OUTCOME_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/outcome_groups/#{id}/outcomes" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"outcome_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"move_from", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"display_name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"mastery_points", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"ratings[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"ratings[points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"calculation_method", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["decaying_average", "n_mastery", "latest", "highest"]}, {"paramType"=>"form", "name"=>"calculation_int", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_LINK_OUTCOME_ACCOUNTS_OUTCOME_ID" => { uri: ->(account_id:, id:, outcome_id:) { "accounts/#{account_id}/outcome_groups/#{id}/outcomes/#{outcome_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"outcome_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"move_from", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"display_name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"mastery_points", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"ratings[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"ratings[points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"calculation_method", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["decaying_average", "n_mastery", "latest", "highest"]}, {"paramType"=>"form", "name"=>"calculation_int", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_LINK_OUTCOME_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/outcome_groups/#{id}/outcomes" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"outcome_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"move_from", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"display_name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"mastery_points", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"ratings[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"ratings[points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"calculation_method", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["decaying_average", "n_mastery", "latest", "highest"]}, {"paramType"=>"form", "name"=>"calculation_int", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_LINK_OUTCOME_COURSES_OUTCOME_ID" => { uri: ->(course_id:, id:, outcome_id:) { "courses/#{course_id}/outcome_groups/#{id}/outcomes/#{outcome_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"outcome_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"move_from", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"display_name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"mastery_points", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"ratings[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"ratings[points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"calculation_method", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["decaying_average", "n_mastery", "latest", "highest"]}, {"paramType"=>"form", "name"=>"calculation_int", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "UNLINK_OUTCOME_GLOBAL" => { uri: ->(id:, outcome_id:) { "global/outcome_groups/#{id}/outcomes/#{outcome_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"outcome_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UNLINK_OUTCOME_ACCOUNTS" => { uri: ->(account_id:, id:, outcome_id:) { "accounts/#{account_id}/outcome_groups/#{id}/outcomes/#{outcome_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"outcome_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UNLINK_OUTCOME_COURSES" => { uri: ->(course_id:, id:, outcome_id:) { "courses/#{course_id}/outcome_groups/#{id}/outcomes/#{outcome_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"outcome_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_SUBGROUPS_GLOBAL" => { uri: ->(id:) { "global/outcome_groups/#{id}/subgroups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_SUBGROUPS_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/outcome_groups/#{id}/subgroups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_SUBGROUPS_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/outcome_groups/#{id}/subgroups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_SUBGROUP_GLOBAL" => { uri: ->(id:) { "global/outcome_groups/#{id}/subgroups" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_SUBGROUP_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/outcome_groups/#{id}/subgroups" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_SUBGROUP_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/outcome_groups/#{id}/subgroups" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "IMPORT_OUTCOME_GROUP_GLOBAL" => { uri: ->(id:) { "global/outcome_groups/#{id}/import" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"source_outcome_group_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"async", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "IMPORT_OUTCOME_GROUP_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/outcome_groups/#{id}/import" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"source_outcome_group_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"async", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "IMPORT_OUTCOME_GROUP_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/outcome_groups/#{id}/import" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"source_outcome_group_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"async", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "IMPORT_OUTCOMES_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/outcome_imports" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"import_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"extension", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "IMPORT_OUTCOMES_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/outcome_imports" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"import_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"extension", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_OUTCOME_IMPORT_STATUS_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/outcome_imports/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_OUTCOME_IMPORT_STATUS_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/outcome_imports/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_OUTCOME_RESULTS" => { uri: ->(course_id:) { "courses/#{course_id}/outcome_results" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"user_ids", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"query", "name"=>"outcome_ids", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"include_hidden", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_OUTCOME_RESULT_ROLLUPS" => { uri: ->(course_id:) { "courses/#{course_id}/outcome_rollups" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"aggregate", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["course"]}, {"paramType"=>"query", "name"=>"aggregate_stat", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["mean", "median"]}, {"paramType"=>"query", "name"=>"user_ids", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"query", "name"=>"outcome_ids", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"exclude", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["missing_user_rollups"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"sort_by", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["student", "outcome"]}, {"paramType"=>"query", "name"=>"sort_outcome_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sort_order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}] },
    "SHOW_OUTCOME" => { uri: ->(id:) { "outcomes/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_OUTCOME" => { uri: ->(id:) { "outcomes/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"display_name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"description", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"vendor_guid", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"mastery_points", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"ratings[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"ratings[points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"calculation_method", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["decaying_average", "n_mastery", "latest", "highest"]}, {"paramType"=>"form", "name"=>"calculation_int", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "GET_ALIGNED_ASSIGNMENTS_FOR_OUTCOME_IN_COURSE_FOR_PARTICULAR_STUDENT" => { uri: ->(course_id:) { "courses/#{course_id}/outcome_alignments" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"student_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "SHOW_FRONT_PAGE_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/front_page" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_FRONT_PAGE_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/front_page" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DUPLICATE_PAGE" => { uri: ->(course_id:, url:) { "courses/#{course_id}/pages/#{url}/duplicate" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_CREATE_FRONT_PAGE_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/front_page" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[body]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[editing_roles]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["teachers", "students", "members", "public"]}, {"paramType"=>"form", "name"=>"wiki_page[notify_of_update]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_CREATE_FRONT_PAGE_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/front_page" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[body]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[editing_roles]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["teachers", "students", "members", "public"]}, {"paramType"=>"form", "name"=>"wiki_page[notify_of_update]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_PAGES_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/pages" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["title", "created_at", "updated_at"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"published", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_PAGES_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/pages" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["title", "created_at", "updated_at"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"published", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_PAGE_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/pages" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[title]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[body]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[editing_roles]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["teachers", "students", "members", "public"]}, {"paramType"=>"form", "name"=>"wiki_page[notify_of_update]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[front_page]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_PAGE_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/pages" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[title]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[body]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[editing_roles]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["teachers", "students", "members", "public"]}, {"paramType"=>"form", "name"=>"wiki_page[notify_of_update]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[front_page]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SHOW_PAGE_COURSES" => { uri: ->(course_id:, url:) { "courses/#{course_id}/pages/#{url}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_PAGE_GROUPS" => { uri: ->(group_id:, url:) { "groups/#{group_id}/pages/#{url}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_CREATE_PAGE_COURSES" => { uri: ->(course_id:, url:) { "courses/#{course_id}/pages/#{url}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[body]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[editing_roles]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["teachers", "students", "members", "public"]}, {"paramType"=>"form", "name"=>"wiki_page[notify_of_update]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[front_page]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_CREATE_PAGE_GROUPS" => { uri: ->(group_id:, url:) { "groups/#{group_id}/pages/#{url}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[body]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[editing_roles]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["teachers", "students", "members", "public"]}, {"paramType"=>"form", "name"=>"wiki_page[notify_of_update]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"wiki_page[front_page]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_PAGE_COURSES" => { uri: ->(course_id:, url:) { "courses/#{course_id}/pages/#{url}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_PAGE_GROUPS" => { uri: ->(group_id:, url:) { "groups/#{group_id}/pages/#{url}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_REVISIONS_COURSES" => { uri: ->(course_id:, url:) { "courses/#{course_id}/pages/#{url}/revisions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_REVISIONS_GROUPS" => { uri: ->(group_id:, url:) { "groups/#{group_id}/pages/#{url}/revisions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_REVISION_COURSES_LATEST" => { uri: ->(course_id:, url:) { "courses/#{course_id}/pages/#{url}/revisions/latest" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"summary", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SHOW_REVISION_GROUPS_LATEST" => { uri: ->(group_id:, url:) { "groups/#{group_id}/pages/#{url}/revisions/latest" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"summary", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SHOW_REVISION_COURSES_REVISION_ID" => { uri: ->(course_id:, url:, revision_id:) { "courses/#{course_id}/pages/#{url}/revisions/#{revision_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"revision_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"summary", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SHOW_REVISION_GROUPS_REVISION_ID" => { uri: ->(group_id:, url:, revision_id:) { "groups/#{group_id}/pages/#{url}/revisions/#{revision_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"revision_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"summary", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "REVERT_TO_REVISION_COURSES" => { uri: ->(course_id:, url:, revision_id:) { "courses/#{course_id}/pages/#{url}/revisions/#{revision_id}" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"revision_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "REVERT_TO_REVISION_GROUPS" => { uri: ->(group_id:, url:, revision_id:) { "groups/#{group_id}/pages/#{url}/revisions/#{revision_id}" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"url", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"revision_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "GET_ALL_PEER_REVIEWS_COURSES_PEER_REVIEWS" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/peer_reviews" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission_comments", "user"], "items"=>{"type"=>"string"}}] },
    "GET_ALL_PEER_REVIEWS_SECTIONS_PEER_REVIEWS" => { uri: ->(section_id:, assignment_id:) { "sections/#{section_id}/assignments/#{assignment_id}/peer_reviews" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission_comments", "user"], "items"=>{"type"=>"string"}}] },
    "GET_ALL_PEER_REVIEWS_COURSES_SUBMISSIONS" => { uri: ->(course_id:, assignment_id:, submission_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{submission_id}/peer_reviews" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission_comments", "user"], "items"=>{"type"=>"string"}}] },
    "GET_ALL_PEER_REVIEWS_SECTIONS_SUBMISSIONS" => { uri: ->(section_id:, assignment_id:, submission_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions/#{submission_id}/peer_reviews" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission_comments", "user"], "items"=>{"type"=>"string"}}] },
    "PEER_REVIEWS_CREATE_PEER_REVIEW_COURSES" => { uri: ->(course_id:, assignment_id:, submission_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{submission_id}/peer_reviews" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "PEER_REVIEWS_CREATE_PEER_REVIEW_SECTIONS" => { uri: ->(section_id:, assignment_id:, submission_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions/#{submission_id}/peer_reviews" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "DELETE_PEER_REVIEW_COURSES" => { uri: ->(course_id:, assignment_id:, submission_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{submission_id}/peer_reviews" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"user_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "DELETE_PEER_REVIEW_SECTIONS" => { uri: ->(section_id:, assignment_id:, submission_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions/#{submission_id}/peer_reviews" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"user_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_ASSIGNMENT_LTI" => { uri: ->(assignment_id:) { "/lti/assignments/#{assignment_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_SINGLE_USER_LTI" => { uri: ->(id:) { "/lti/users/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_ALL_USERS_IN_GROUP_LTI" => { uri: ->(group_id:) { "/lti/groups/#{group_id}/users" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_SUBMISSION" => { uri: ->(assignment_id:, submission_id:) { "/lti/assignments/#{assignment_id}/submissions/#{submission_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_HISTORY_OF_SINGLE_SUBMISSION" => { uri: ->(assignment_id:, submission_id:) { "/lti/assignments/#{assignment_id}/submissions/#{submission_id}/history" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_PLANNER_ITEMS_PLANNER" => { uri: ->() { "planner/items" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"start_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"context_codes", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"filter", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["new_activity"]}] },
    "LIST_PLANNER_ITEMS_USERS" => { uri: ->(user_id:) { "users/#{user_id}/planner/items" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"context_codes", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"filter", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["new_activity"]}] },
    "LIST_PLANNER_NOTES" => { uri: ->() { "planner_notes" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"start_date", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_date", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"context_codes", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "SHOW_PLANNER_NOTE" => { uri: ->(id:) { "planner_notes/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_PLANNER_NOTE" => { uri: ->(id:) { "planner_notes/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"details", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"todo_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_PLANNER_NOTE" => { uri: ->() { "planner_notes" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"title", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"details", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"todo_date", "type"=>"Date", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"linked_object_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"linked_object_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "DELETE_PLANNER_NOTE" => { uri: ->(id:) { "planner_notes/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_PLANNER_OVERRIDES" => { uri: ->() { "planner/overrides" }, method: "GET", parameters: [] },
    "SHOW_PLANNER_OVERRIDE" => { uri: ->(id:) { "planner/overrides/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_PLANNER_OVERRIDE" => { uri: ->(id:) { "planner/overrides/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"marked_complete", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"dismissed", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_PLANNER_OVERRIDE" => { uri: ->() { "planner/overrides" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"plannable_type", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["announcement", "assignment", "discussion_topic", "quiz", "wiki_page", "planner_note"]}, {"paramType"=>"form", "name"=>"plannable_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"marked_complete", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"dismissed", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_PLANNER_OVERRIDE" => { uri: ->(id:) { "planner/overrides/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_POLL_SESSIONS_FOR_POLL" => { uri: ->(poll_id:) { "polls/#{poll_id}/poll_sessions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_RESULTS_FOR_SINGLE_POLL_SESSION" => { uri: ->(poll_id:, id:) { "polls/#{poll_id}/poll_sessions/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_SINGLE_POLL_SESSION" => { uri: ->(poll_id:) { "polls/#{poll_id}/poll_sessions" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"poll_sessions[course_id]", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"poll_sessions[course_section_id]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"poll_sessions[has_public_results]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"boolean"}}] },
    "UPDATE_SINGLE_POLL_SESSION" => { uri: ->(poll_id:, id:) { "polls/#{poll_id}/poll_sessions/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"poll_sessions[course_id]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"poll_sessions[course_section_id]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"poll_sessions[has_public_results]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"boolean"}}] },
    "DELETE_POLL_SESSION" => { uri: ->(poll_id:, id:) { "polls/#{poll_id}/poll_sessions/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "OPEN_POLL_SESSION" => { uri: ->(poll_id:, id:) { "polls/#{poll_id}/poll_sessions/#{id}/open" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CLOSE_OPENED_POLL_SESSION" => { uri: ->(poll_id:, id:) { "polls/#{poll_id}/poll_sessions/#{id}/close" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_OPENED_POLL_SESSIONS" => { uri: ->() { "poll_sessions/opened" }, method: "GET", parameters: [] },
    "LIST_CLOSED_POLL_SESSIONS" => { uri: ->() { "poll_sessions/closed" }, method: "GET", parameters: [] },
    "LIST_POLL_CHOICES_IN_POLL" => { uri: ->(poll_id:) { "polls/#{poll_id}/poll_choices" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_POLL_CHOICE" => { uri: ->(poll_id:, id:) { "polls/#{poll_id}/poll_choices/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_SINGLE_POLL_CHOICE" => { uri: ->(poll_id:) { "polls/#{poll_id}/poll_choices" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"poll_choices[text]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"poll_choices[is_correct]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"boolean"}}, {"paramType"=>"form", "name"=>"poll_choices[position]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "UPDATE_SINGLE_POLL_CHOICE" => { uri: ->(poll_id:, id:) { "polls/#{poll_id}/poll_choices/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"poll_choices[text]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"poll_choices[is_correct]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"boolean"}}, {"paramType"=>"form", "name"=>"poll_choices[position]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "DELETE_POLL_CHOICE" => { uri: ->(poll_id:, id:) { "polls/#{poll_id}/poll_choices/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_POLL_SUBMISSION" => { uri: ->(poll_id:, poll_session_id:, id:) { "polls/#{poll_id}/poll_sessions/#{poll_session_id}/poll_submissions/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"poll_session_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_SINGLE_POLL_SUBMISSION" => { uri: ->(poll_id:, poll_session_id:) { "polls/#{poll_id}/poll_sessions/#{poll_session_id}/poll_submissions" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"poll_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"poll_session_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"poll_submissions[poll_choice_id]", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "LIST_POLLS" => { uri: ->() { "polls" }, method: "GET", parameters: [] },
    "GET_SINGLE_POLL" => { uri: ->(id:) { "polls/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_SINGLE_POLL" => { uri: ->() { "polls" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"polls[question]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"polls[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "UPDATE_SINGLE_POLL" => { uri: ->(id:) { "polls/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"polls[question]", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"polls[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "DELETE_POLL" => { uri: ->(id:) { "polls/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_UPDATE_PROFICIENCY_RATINGS_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/outcome_proficiency" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"ratings[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"ratings[points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"ratings[mastery]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"ratings[color]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "CREATE_UPDATE_PROFICIENCY_RATINGS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/outcome_proficiency" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"ratings[description]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"ratings[points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"ratings[mastery]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"ratings[color]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "GET_PROFICIENCY_RATINGS_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/outcome_proficiency" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_PROFICIENCY_RATINGS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/outcome_proficiency" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "QUERY_PROGRESS" => { uri: ->(id:) { "progress/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "PROGRESS_QUERY_PROGRESS" => { uri: ->(course_id:, id:) { "/lti/courses/#{course_id}/progress/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_PUBLIC_JWK" => { uri: ->() { "/lti/developer_key/update_public_jwk" }, method: "PUT", parameters: [{"paramType"=>"form", "name"=>"public_jwk", "type"=>"json", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RETRIEVE_ASSIGNMENT_OVERRIDDEN_DATES_FOR_CLASSIC_QUIZZES" => { uri: ->(course_id:) { "courses/#{course_id}/quizzes/assignment_overrides" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"quiz_assignment_overrides[0][quiz_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "RETRIEVE_ASSIGNMENT_OVERRIDDEN_DATES_FOR_NEW_QUIZZES" => { uri: ->(course_id:) { "courses/#{course_id}/new_quizzes/assignment_overrides" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"quiz_assignment_overrides[0][quiz_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "QUIZ_EXTENSIONS_SET_EXTENSIONS_FOR_STUDENT_QUIZ_SUBMISSIONS" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/extensions" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz_extensions[user_id]", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"quiz_extensions[extra_attempts]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"quiz_extensions[extra_time]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"quiz_extensions[manually_unlocked]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"boolean"}}, {"paramType"=>"form", "name"=>"quiz_extensions[extend_from_now]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"quiz_extensions[extend_from_end_at]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "GET_AVAILABLE_QUIZ_IP_FILTERS" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/ip_filters" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_QUIZ_GROUP" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/groups/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_QUESTION_GROUP" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/groups" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz_groups[name]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"quiz_groups[pick_count]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"quiz_groups[question_points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"quiz_groups[assessment_question_bank_id]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "UPDATE_QUESTION_GROUP" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/groups/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz_groups[name]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"form", "name"=>"quiz_groups[pick_count]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"quiz_groups[question_points]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}] },
    "DELETE_QUESTION_GROUP" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/groups/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REORDER_QUESTION_GROUPS" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/groups/#{id}/reorder" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"order[id]", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"order[type]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["question"], "items"=>{"type"=>"string"}}] },
    "LIST_QUESTIONS_IN_QUIZ_OR_SUBMISSION" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/questions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"quiz_submission_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"quiz_submission_attempt", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "GET_SINGLE_QUIZ_QUESTION" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/questions/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "CREATE_SINGLE_QUIZ_QUESTION" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/questions" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[question_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[question_text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[quiz_group_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[question_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["calculated_question", "essay_question", "file_upload_question", "fill_in_multiple_blanks_question", "matching_question", "multiple_answers_question", "multiple_choice_question", "multiple_dropdowns_question", "numerical_question", "short_answer_question", "text_only_question", "true_false_question"]}, {"paramType"=>"form", "name"=>"question[position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[points_possible]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[correct_comments]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[incorrect_comments]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[neutral_comments]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[text_after_answers]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[answers]", "type"=>"[Answer]", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_EXISTING_QUIZ_QUESTION" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/questions/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[question_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[question_text]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[quiz_group_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[question_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["calculated_question", "essay_question", "file_upload_question", "fill_in_multiple_blanks_question", "matching_question", "multiple_answers_question", "multiple_choice_question", "multiple_dropdowns_question", "numerical_question", "short_answer_question", "text_only_question", "true_false_question"]}, {"paramType"=>"form", "name"=>"question[position]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[points_possible]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[correct_comments]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[incorrect_comments]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[neutral_comments]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[text_after_answers]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"question[answers]", "type"=>"[Answer]", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_QUIZ_QUESTION" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/questions/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}] },
    "RETRIEVE_ALL_QUIZ_REPORTS" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/reports" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"includes_all_versions", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_QUIZ_REPORT" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/reports" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz_report[report_type]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["student_analysis", "item_analysis"]}, {"paramType"=>"form", "name"=>"quiz_report[includes_all_versions]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"include", "type"=>"String[]", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["file", "progress"]}] },
    "GET_QUIZ_REPORT" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/reports/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"String[]", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["file", "progress"]}] },
    "ABORT_GENERATION_OF_REPORT_OR_REMOVE_PREVIOUSLY_GENERATED_ONE" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/reports/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "FETCHING_LATEST_QUIZ_STATISTICS" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/statistics" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"all_versions", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SUBMIT_CAPTURED_EVENTS" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/submissions/#{id}/events" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz_submission_events", "type"=>"array", "format"=>nil, "required"=>true, "deprecated"=>false, "items"=>{"$ref"=>"Array"}}] },
    "RETRIEVE_CAPTURED_EVENTS" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/submissions/#{id}/events" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"attempt", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "QUIZ_SUBMISSION_FILES_UPLOAD_FILE" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/submissions/self/files" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"name", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"on_duplicate", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_ALL_QUIZ_SUBMISSION_QUESTIONS" => { uri: ->(quiz_submission_id:) { "quiz_submissions/#{quiz_submission_id}/questions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"quiz_submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["quiz_question"], "items"=>{"type"=>"string"}}] },
    "ANSWERING_QUESTIONS" => { uri: ->(quiz_submission_id:) { "quiz_submissions/#{quiz_submission_id}/questions" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"quiz_submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attempt", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"validation_token", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"access_code", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz_questions", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"QuizSubmissionQuestion"}}] },
    "GET_FORMATTED_STUDENT_NUMERICAL_ANSWER" => { uri: ->(quiz_submission_id:, id:) { "quiz_submissions/#{quiz_submission_id}/questions/#{id}/formatted_answer" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"quiz_submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"answer", "type"=>"Numeric", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "FLAGGING_QUESTION" => { uri: ->(quiz_submission_id:, id:) { "quiz_submissions/#{quiz_submission_id}/questions/#{id}/flag" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"quiz_submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attempt", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"validation_token", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"access_code", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UNFLAGGING_QUESTION" => { uri: ->(quiz_submission_id:, id:) { "quiz_submissions/#{quiz_submission_id}/questions/#{id}/unflag" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"quiz_submission_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attempt", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"validation_token", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"access_code", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SEND_MESSAGE_TO_UNSUBMITTED_OR_SUBMITTED_USERS_FOR_QUIZ" => { uri: ->(course_id:, id:) { "courses/#{course_id}/quizzes/#{id}/submission_users/message" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"conversations", "type"=>"QuizUserConversation", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_ALL_QUIZ_SUBMISSIONS" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/submissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission", "quiz", "user"], "items"=>{"type"=>"string"}}] },
    "GET_QUIZ_SUBMISSION" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/submission" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission", "quiz", "user"], "items"=>{"type"=>"string"}}] },
    "GET_SINGLE_QUIZ_SUBMISSION" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/submissions/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission", "quiz", "user"], "items"=>{"type"=>"string"}}] },
    "CREATE_QUIZ_SUBMISSION_START_QUIZ_TAKING_SESSION" => { uri: ->(course_id:, quiz_id:) { "courses/#{course_id}/quizzes/#{quiz_id}/submissions" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"access_code", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"preview", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_STUDENT_QUESTION_SCORES_AND_COMMENTS" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/submissions/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz_submissions[attempt]", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"quiz_submissions[fudge_points]", "type"=>"array", "format"=>"float", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"number"}}, {"paramType"=>"form", "name"=>"quiz_submissions[questions]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"$ref"=>"Hash"}}] },
    "COMPLETE_QUIZ_SUBMISSION_TURN_IT_IN" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/submissions/#{id}/complete" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attempt", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"validation_token", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"access_code", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_CURRENT_QUIZ_SUBMISSION_TIMES" => { uri: ->(course_id:, quiz_id:, id:) { "courses/#{course_id}/quizzes/#{quiz_id}/submissions/#{id}/time" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"quiz_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_QUIZZES_IN_COURSE" => { uri: ->(course_id:) { "courses/#{course_id}/quizzes" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_SINGLE_QUIZ" => { uri: ->(course_id:, id:) { "courses/#{course_id}/quizzes/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_QUIZ" => { uri: ->(course_id:) { "courses/#{course_id}/quizzes" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[title]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[description]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[quiz_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["practice_quiz", "assignment", "graded_survey", "survey"]}, {"paramType"=>"form", "name"=>"quiz[assignment_group_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[time_limit]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[shuffle_answers]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[hide_results]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["always", "until_after_last_attempt"]}, {"paramType"=>"form", "name"=>"quiz[show_correct_answers]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[show_correct_answers_last_attempt]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[show_correct_answers_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[hide_correct_answers_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[allowed_attempts]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[scoring_policy]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["keep_highest", "keep_latest"]}, {"paramType"=>"form", "name"=>"quiz[one_question_at_a_time]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[cant_go_back]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[access_code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[ip_filter]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[due_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[lock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[unlock_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[published]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[one_time_results]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[only_visible_to_overrides]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "EDIT_QUIZ" => { uri: ->(course_id:, id:) { "courses/#{course_id}/quizzes/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"quiz[notify_of_update]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_QUIZ" => { uri: ->(course_id:, id:) { "courses/#{course_id}/quizzes/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REORDER_QUIZ_ITEMS" => { uri: ->(course_id:, id:) { "courses/#{course_id}/quizzes/#{id}/reorder" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"order[id]", "type"=>"array", "format"=>"int64", "required"=>true, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"order[type]", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["question", "group"], "items"=>{"type"=>"string"}}] },
    "VALIDATE_QUIZ_ACCESS_CODE" => { uri: ->(course_id:, id:) { "courses/#{course_id}/quizzes/#{id}/validate_access_code" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"access_code", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_COLLECTION_OF_RESULTS" => { uri: ->(course_id:, line_item_id:) { "/lti/courses/#{course_id}/line_items/#{line_item_id}/results" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"line_item_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_RESULT" => { uri: ->(course_id:, line_item_id:, id:) { "/lti/courses/#{course_id}/line_items/#{line_item_id}/results/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"line_item_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ROLES" => { uri: ->(account_id:) { "accounts/#{account_id}/roles" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "inactive"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"show_inherited", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_SINGLE_ROLE" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/roles/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"role_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"role", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_NEW_ROLE" => { uri: ->(account_id:) { "accounts/#{account_id}/roles" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"label", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"role", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"base_role_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["AccountMembership", "StudentEnrollment", "TeacherEnrollment", "TaEnrollment", "ObserverEnrollment", "DesignerEnrollment"]}, {"paramType"=>"form", "name"=>"permissions[<X>][explicit]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"permissions[<X>][enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"permissions[<X>][locked]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"permissions[<X>][applies_to_self]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"permissions[<X>][applies_to_descendants]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DEACTIVATE_ROLE" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/roles/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"role_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"role", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "ACTIVATE_ROLE" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/roles/#{id}/activate" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"role_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"role", "type"=>"Deprecated", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_ROLE" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/roles/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"label", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"permissions[<X>][explicit]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"permissions[<X>][enabled]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"permissions[<X>][applies_to_self]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"permissions[<X>][applies_to_descendants]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CREATE_SINGLE_RUBRIC" => { uri: ->(course_id:) { "courses/#{course_id}/rubrics" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric[free_form_criterion_comments]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[association_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[association_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["Assignment", "Course", "Account"]}, {"paramType"=>"form", "name"=>"rubric_association[use_for_grading]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[hide_score_total]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[purpose]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric[criteria]", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_SINGLE_RUBRIC" => { uri: ->(course_id:, id:) { "courses/#{course_id}/rubrics/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric[free_form_criterion_comments]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric[skip_updating_points_possible]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[association_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[association_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["Assignment", "Course", "Account"]}, {"paramType"=>"form", "name"=>"rubric_association[use_for_grading]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[hide_score_total]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[purpose]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["grading", "bookmark"]}, {"paramType"=>"form", "name"=>"rubric[criteria]", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_SINGLE_RUBRIC" => { uri: ->(course_id:, id:) { "courses/#{course_id}/rubrics/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_RUBRICS_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/rubrics" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_RUBRICS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/rubrics" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SINGLE_RUBRIC_ACCOUNTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/rubrics/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assessments", "graded_assessments", "peer_assessments", "associations", "assignment_associations", "course_associations", "account_associations"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"style", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["full", "comments_only"]}] },
    "GET_SINGLE_RUBRIC_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/rubrics/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assessments", "graded_assessments", "peer_assessments", "associations", "assignment_associations", "course_associations", "account_associations"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"style", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["full", "comments_only"]}] },
    "CREATE_SINGLE_RUBRIC_ASSESSMENT" => { uri: ->(course_id:, rubric_association_id:) { "courses/#{course_id}/rubric_associations/#{rubric_association_id}/rubric_assessments" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"rubric_association_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"provisional", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"final", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"graded_anonymously", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_assessment", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_SINGLE_RUBRIC_ASSESSMENT" => { uri: ->(course_id:, rubric_association_id:, id:) { "courses/#{course_id}/rubric_associations/#{rubric_association_id}/rubric_assessments/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"rubric_association_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"provisional", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"final", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"graded_anonymously", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_assessment", "type"=>"Hash", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_SINGLE_RUBRIC_ASSESSMENT" => { uri: ->(course_id:, rubric_association_id:, id:) { "courses/#{course_id}/rubric_associations/#{rubric_association_id}/rubric_assessments/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"rubric_association_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CREATE_RUBRICASSOCIATION" => { uri: ->(course_id:) { "courses/#{course_id}/rubric_associations" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[rubric_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[association_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[association_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["Assignment", "Course", "Account"]}, {"paramType"=>"form", "name"=>"rubric_association[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[use_for_grading]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[hide_score_total]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[purpose]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["grading", "bookmark"]}, {"paramType"=>"form", "name"=>"rubric_association[bookmarked]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_RUBRICASSOCIATION" => { uri: ->(course_id:, id:) { "courses/#{course_id}/rubric_associations/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[rubric_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[association_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[association_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["Assignment", "Course", "Account"]}, {"paramType"=>"form", "name"=>"rubric_association[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[use_for_grading]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[hide_score_total]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_association[purpose]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["grading", "bookmark"]}, {"paramType"=>"form", "name"=>"rubric_association[bookmarked]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_RUBRICASSOCIATION" => { uri: ->(course_id:, id:) { "courses/#{course_id}/rubric_associations/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_SIS_IMPORT_ERROR_LIST_SIS_IMPORTS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/sis_imports/#{id}/errors" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"failure", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_SIS_IMPORT_ERROR_LIST_SIS_IMPORT_ERRORS" => { uri: ->(account_id:) { "accounts/#{account_id}/sis_import_errors" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"failure", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_SIS_IMPORT_LIST" => { uri: ->(account_id:) { "accounts/#{account_id}/sis_imports" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"created_since", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"created_before", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"workflow_state", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["initializing", "created", "importing", "cleanup_batch", "imported", "imported_with_messages", "aborted", "failed", "failed_with_messages", "restoring", "partially_restored", "restored"], "items"=>{"type"=>"string"}}] },
    "GET_CURRENT_IMPORTING_SIS_IMPORT" => { uri: ->(account_id:) { "accounts/#{account_id}/sis_imports/importing" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "IMPORT_SIS_DATA" => { uri: ->(account_id:) { "accounts/#{account_id}/sis_imports" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"import_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"attachment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"extension", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"batch_mode", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"batch_mode_term_id", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"multi_term_batch_mode", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"skip_deletes", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"override_sis_stickiness", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"add_sis_stickiness", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"clear_sis_stickiness", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"update_sis_id_if_login_claimed", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"diffing_data_set_identifier", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"diffing_remaster_data_set", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"diffing_drop_status", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["deleted", "completed", "inactive"]}, {"paramType"=>"form", "name"=>"batch_mode_enrollment_drop_status", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["deleted", "completed", "inactive"]}, {"paramType"=>"form", "name"=>"change_threshold", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"diff_row_count_threshold", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "GET_SIS_IMPORT_STATUS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/sis_imports/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RESTORE_WORKFLOW_STATES_OF_SIS_IMPORTED_ITEMS" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/sis_imports/#{id}/restore_states" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"batch_mode", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"undelete_only", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"unconclude_only", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "ABORT_SIS_IMPORT" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/sis_imports/#{id}/abort" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ABORT_ALL_PENDING_SIS_IMPORTS" => { uri: ->(account_id:) { "accounts/#{account_id}/sis_imports/abort_all_pending" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "RETRIEVE_ASSIGNMENTS_ENABLED_FOR_GRADE_EXPORT_TO_SIS_ACCOUNTS" => { uri: ->(account_id:) { "/sis/accounts/#{account_id}/assignments" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"starts_before", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"ends_after", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["student_overrides"]}] },
    "RETRIEVE_ASSIGNMENTS_ENABLED_FOR_GRADE_EXPORT_TO_SIS_COURSES" => { uri: ->(course_id:) { "/sis/courses/#{course_id}/assignments" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"account_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"path", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"starts_before", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"ends_after", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["student_overrides"]}] },
    "DISABLE_ASSIGNMENTS_CURRENTLY_ENABLED_FOR_GRADE_EXPORT_TO_SIS" => { uri: ->(course_id:) { "/sis/courses/#{course_id}/disable_post_to_sis" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"integer", "format"=>"int64", "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grading_period_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_SCORE" => { uri: ->(course_id:, line_item_id:) { "/lti/courses/#{course_id}/line_items/#{line_item_id}/scores" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"line_item_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"userId", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"activityProgress", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"gradingProgress", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"timestamp", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"scoreGiven", "type"=>"number", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"scoreMaximum", "type"=>"number", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"https://canvas.instructure.com/lti/submission", "type"=>"Object", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "FIND_RECIPIENTS_CONVERSATIONS" => { uri: ->() { "conversations/find_recipients" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"search", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"context", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"exclude", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["user", "context"]}, {"paramType"=>"query", "name"=>"user_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"from_conversation_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"permissions", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "FIND_RECIPIENTS_SEARCH" => { uri: ->() { "search/recipients" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"search", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"context", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"exclude", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["user", "context"]}, {"paramType"=>"query", "name"=>"user_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"from_conversation_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"permissions", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "LIST_ALL_COURSES" => { uri: ->() { "search/all_courses" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"search", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"public_only", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"open_enrollment_only", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_COURSE_SECTIONS" => { uri: ->(course_id:) { "courses/#{course_id}/sections" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["students", "avatar_url", "enrollments", "total_students", "passback_status"], "items"=>{"type"=>"string"}}] },
    "CREATE_COURSE_SECTION" => { uri: ->(course_id:) { "courses/#{course_id}/sections" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[sis_section_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[integration_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[restrict_enrollments_to_section_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enable_sis_reactivation", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "CROSS_LIST_SECTION" => { uri: ->(id:, new_course_id:) { "sections/#{id}/crosslist/#{new_course_id}" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"new_course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DE_CROSS_LIST_SECTION" => { uri: ->(id:) { "sections/#{id}/crosslist" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "EDIT_SECTION" => { uri: ->(id:) { "sections/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[sis_section_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[integration_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[start_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[end_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"course_section[restrict_enrollments_to_section_dates]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_SECTION_INFORMATION_COURSES" => { uri: ->(course_id:, id:) { "courses/#{course_id}/sections/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["students", "avatar_url", "enrollments", "total_students", "passback_status"], "items"=>{"type"=>"string"}}] },
    "GET_SECTION_INFORMATION_SECTIONS" => { uri: ->(id:) { "sections/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["students", "avatar_url", "enrollments", "total_students", "passback_status"], "items"=>{"type"=>"string"}}] },
    "DELETE_SECTION" => { uri: ->(id:) { "sections/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_KALTURA_CONFIG" => { uri: ->() { "services/kaltura" }, method: "GET", parameters: [] },
    "START_KALTURA_SESSION" => { uri: ->() { "services/kaltura_session" }, method: "POST", parameters: [] },
    "SHARE_BRANDCONFIG_THEME" => { uri: ->(account_id:) { "accounts/#{account_id}/shared_brand_configs" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"shared_brand_config[name]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"shared_brand_config[brand_config_md5]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_SHARED_THEME" => { uri: ->(account_id:, id:) { "accounts/#{account_id}/shared_brand_configs/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UN_SHARE_BRANDCONFIG_THEME" => { uri: ->(id:) { "shared_brand_configs/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "EDIT_SUBMISSION_COMMENT" => { uri: ->(course_id:, assignment_id:, user_id:, id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{user_id}/comments/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DELETE_SUBMISSION_COMMENT" => { uri: ->(course_id:, assignment_id:, user_id:, id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{user_id}/comments/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SUBMISSION_COMMENTS_UPLOAD_FILE" => { uri: ->(course_id:, assignment_id:, user_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{user_id}/comments/files" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SUBMIT_ASSIGNMENT_COURSES" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment[text_comment]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[submission_type]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["online_text_entry", "online_url", "online_upload", "media_recording", "basic_lti_launch", "student_annotation"]}, {"paramType"=>"form", "name"=>"submission[body]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[file_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"submission[media_comment_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[media_comment_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["audio", "video"]}, {"paramType"=>"form", "name"=>"submission[user_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[annotatable_attachment_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[submitted_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SUBMIT_ASSIGNMENT_SECTIONS" => { uri: ->(section_id:, assignment_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment[text_comment]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[submission_type]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false, "enum"=>["online_text_entry", "online_url", "online_upload", "media_recording", "basic_lti_launch", "student_annotation"]}, {"paramType"=>"form", "name"=>"submission[body]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[file_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"submission[media_comment_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[media_comment_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["audio", "video"]}, {"paramType"=>"form", "name"=>"submission[user_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[annotatable_attachment_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[submitted_at]", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_ASSIGNMENT_SUBMISSIONS_COURSES" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission_history", "submission_comments", "rubric_assessment", "assignment", "visibility", "course", "user", "group", "read_status"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"grouped", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_ASSIGNMENT_SUBMISSIONS_SECTIONS" => { uri: ->(section_id:, assignment_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission_history", "submission_comments", "rubric_assessment", "assignment", "visibility", "course", "user", "group", "read_status"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"grouped", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_SUBMISSIONS_FOR_MULTIPLE_ASSIGNMENTS_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/students/submissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"student_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"assignment_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"grouped", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"post_to_sis", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"submitted_since", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"graded_since", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"grading_period_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"workflow_state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submitted", "unsubmitted", "graded", "pending_review"]}, {"paramType"=>"query", "name"=>"enrollment_state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "concluded"]}, {"paramType"=>"query", "name"=>"state_based_on_date", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["id", "graded_at"]}, {"paramType"=>"query", "name"=>"order_direction", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["ascending", "descending"]}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission_history", "submission_comments", "rubric_assessment", "assignment", "total_scores", "visibility", "course", "user"], "items"=>{"type"=>"string"}}] },
    "LIST_SUBMISSIONS_FOR_MULTIPLE_ASSIGNMENTS_SECTIONS" => { uri: ->(section_id:) { "sections/#{section_id}/students/submissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"student_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"assignment_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"grouped", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"post_to_sis", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"submitted_since", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"graded_since", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"grading_period_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"workflow_state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submitted", "unsubmitted", "graded", "pending_review"]}, {"paramType"=>"query", "name"=>"enrollment_state", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["active", "concluded"]}, {"paramType"=>"query", "name"=>"state_based_on_date", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["id", "graded_at"]}, {"paramType"=>"query", "name"=>"order_direction", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["ascending", "descending"]}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission_history", "submission_comments", "rubric_assessment", "assignment", "total_scores", "visibility", "course", "user"], "items"=>{"type"=>"string"}}] },
    "GET_SINGLE_SUBMISSION_COURSES" => { uri: ->(course_id:, assignment_id:, user_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{user_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission_history", "submission_comments", "rubric_assessment", "full_rubric_assessment", "visibility", "course", "user", "read_status"], "items"=>{"type"=>"string"}}] },
    "GET_SINGLE_SUBMISSION_SECTIONS" => { uri: ->(section_id:, assignment_id:, user_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions/#{user_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submission_history", "submission_comments", "rubric_assessment", "full_rubric_assessment", "visibility", "course", "user", "read_status"], "items"=>{"type"=>"string"}}] },
    "UPLOAD_FILE_COURSES" => { uri: ->(course_id:, assignment_id:, user_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{user_id}/files" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPLOAD_FILE_SECTIONS" => { uri: ->(section_id:, assignment_id:, user_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions/#{user_id}/files" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GRADE_OR_COMMENT_ON_SUBMISSION_COURSES" => { uri: ->(course_id:, assignment_id:, user_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{user_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment[text_comment]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment[group_comment]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment[media_comment_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment[media_comment_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["audio", "video"]}, {"paramType"=>"form", "name"=>"comment[file_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"include[visibility]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[posted_grade]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[excuse]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[late_policy_status]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[seconds_late_override]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_assessment", "type"=>"RubricAssessment", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GRADE_OR_COMMENT_ON_SUBMISSION_SECTIONS" => { uri: ->(section_id:, assignment_id:, user_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions/#{user_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment[text_comment]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment[group_comment]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment[media_comment_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"comment[media_comment_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["audio", "video"]}, {"paramType"=>"form", "name"=>"comment[file_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"include[visibility]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[posted_grade]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[excuse]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[late_policy_status]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"submission[seconds_late_override]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"rubric_assessment", "type"=>"RubricAssessment", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_GRADEABLE_STUDENTS" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/gradeable_students" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_MULTIPLE_ASSIGNMENTS_GRADEABLE_STUDENTS" => { uri: ->(course_id:) { "courses/#{course_id}/assignments/gradeable_students" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"assignment_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "GRADE_OR_COMMENT_ON_MULTIPLE_SUBMISSIONS_COURSES_SUBMISSIONS" => { uri: ->(course_id:) { "courses/#{course_id}/submissions/update_grades" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][posted_grade]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][excuse]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][rubric_assessment]", "type"=>"RubricAssessment", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][text_comment]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][group_comment]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][media_comment_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][media_comment_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["audio", "video"]}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][file_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][assignment_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "GRADE_OR_COMMENT_ON_MULTIPLE_SUBMISSIONS_COURSES_ASSIGNMENTS" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/update_grades" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][posted_grade]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][excuse]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][rubric_assessment]", "type"=>"RubricAssessment", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][text_comment]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][group_comment]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][media_comment_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][media_comment_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["audio", "video"]}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][file_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][assignment_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "GRADE_OR_COMMENT_ON_MULTIPLE_SUBMISSIONS_SECTIONS_SUBMISSIONS" => { uri: ->(section_id:) { "sections/#{section_id}/submissions/update_grades" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][posted_grade]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][excuse]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][rubric_assessment]", "type"=>"RubricAssessment", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][text_comment]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][group_comment]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][media_comment_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][media_comment_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["audio", "video"]}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][file_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][assignment_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "GRADE_OR_COMMENT_ON_MULTIPLE_SUBMISSIONS_SECTIONS_ASSIGNMENTS" => { uri: ->(section_id:, assignment_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions/update_grades" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][posted_grade]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][excuse]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][rubric_assessment]", "type"=>"RubricAssessment", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][text_comment]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][group_comment]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][media_comment_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][media_comment_type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["audio", "video"]}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][file_ids]", "type"=>"array", "format"=>"int64", "required"=>false, "deprecated"=>false, "items"=>{"type"=>"integer"}}, {"paramType"=>"form", "name"=>"grade_data[<student_id>][assignment_id]", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "MARK_SUBMISSION_AS_READ_COURSES" => { uri: ->(course_id:, assignment_id:, user_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{user_id}/read" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MARK_SUBMISSION_AS_READ_SECTIONS" => { uri: ->(section_id:, assignment_id:, user_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions/#{user_id}/read" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MARK_SUBMISSION_AS_UNREAD_COURSES" => { uri: ->(course_id:, assignment_id:, user_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submissions/#{user_id}/read" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MARK_SUBMISSION_AS_UNREAD_SECTIONS" => { uri: ->(section_id:, assignment_id:, user_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submissions/#{user_id}/read" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SUBMISSION_SUMMARY_COURSES" => { uri: ->(course_id:, assignment_id:) { "courses/#{course_id}/assignments/#{assignment_id}/submission_summary" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"grouped", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "SUBMISSION_SUMMARY_SECTIONS" => { uri: ->(section_id:, assignment_id:) { "sections/#{section_id}/assignments/#{assignment_id}/submission_summary" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"section_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"assignment_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"grouped", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_AVAILABLE_TABS_FOR_COURSE_OR_GROUP_ACCOUNTS" => { uri: ->(account_id:) { "accounts/#{account_id}/tabs" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["course_subject_tabs"], "items"=>{"type"=>"string"}}] },
    "LIST_AVAILABLE_TABS_FOR_COURSE_OR_GROUP_COURSES" => { uri: ->(course_id:) { "courses/#{course_id}/tabs" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["course_subject_tabs"], "items"=>{"type"=>"string"}}] },
    "LIST_AVAILABLE_TABS_FOR_COURSE_OR_GROUP_GROUPS" => { uri: ->(group_id:) { "groups/#{group_id}/tabs" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"group_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["course_subject_tabs"], "items"=>{"type"=>"string"}}] },
    "LIST_AVAILABLE_TABS_FOR_COURSE_OR_GROUP_USERS" => { uri: ->(user_id:) { "users/#{user_id}/tabs" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["course_subject_tabs"], "items"=>{"type"=>"string"}}] },
    "UPDATE_TAB_FOR_COURSE" => { uri: ->(course_id:, tab_id:) { "courses/#{course_id}/tabs/#{tab_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"tab_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"position", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hidden", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_OBSERVEES" => { uri: ->(user_id:) { "users/#{user_id}/observees" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["avatar_url"], "items"=>{"type"=>"string"}}] },
    "LIST_OBSERVERS" => { uri: ->(user_id:) { "users/#{user_id}/observers" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["avatar_url"], "items"=>{"type"=>"string"}}] },
    "ADD_OBSERVEE_WITH_CREDENTIALS" => { uri: ->(user_id:) { "users/#{user_id}/observees" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"observee[unique_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"observee[password]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"access_token", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pairing_code", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"root_account_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "SHOW_OBSERVEE" => { uri: ->(user_id:, observee_id:) { "users/#{user_id}/observees/#{observee_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"observee_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_OBSERVER" => { uri: ->(user_id:, observer_id:) { "users/#{user_id}/observers/#{observer_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"observer_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "ADD_OBSERVEE" => { uri: ->(user_id:, observee_id:) { "users/#{user_id}/observees/#{observee_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"observee_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"root_account_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "REMOVE_OBSERVEE" => { uri: ->(user_id:, observee_id:) { "users/#{user_id}/observees/#{observee_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"observee_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"root_account_id", "type"=>"integer", "format"=>"int64", "required"=>false, "deprecated"=>false}] },
    "CREATE_OBSERVER_PAIRING_CODE" => { uri: ->(user_id:) { "users/#{user_id}/observer_pairing_codes" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_USERS_IN_ACCOUNT" => { uri: ->(account_id:) { "accounts/#{account_id}/users" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"search_term", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"enrollment_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"sort", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["username", "email", "sis_id", "last_login"]}, {"paramType"=>"query", "name"=>"order", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["asc", "desc"]}] },
    "LIST_ACTIVITY_STREAM_SELF" => { uri: ->() { "users/self/activity_stream" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"only_active_courses", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "LIST_ACTIVITY_STREAM_ACTIVITY_STREAM" => { uri: ->() { "users/activity_stream" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"only_active_courses", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "ACTIVITY_STREAM_SUMMARY" => { uri: ->() { "users/self/activity_stream/summary" }, method: "GET", parameters: [] },
    "LIST_TODO_ITEMS" => { uri: ->() { "users/self/todo" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["ungraded_quizzes"], "items"=>{"type"=>"string"}}] },
    "LIST_COUNTS_FOR_TODO_ITEMS" => { uri: ->() { "users/self/todo_item_count" }, method: "GET", parameters: [{"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["ungraded_quizzes"], "items"=>{"type"=>"string"}}] },
    "LIST_UPCOMING_ASSIGNMENTS_CALENDAR_EVENTS" => { uri: ->() { "users/self/upcoming_events" }, method: "GET", parameters: [] },
    "LIST_MISSING_SUBMISSIONS" => { uri: ->(user_id:) { "users/#{user_id}/missing_submissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["planner_overrides", "course"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"filter", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["submittable"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"course_ids", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "items"=>{"type"=>"string"}}] },
    "HIDE_STREAM_ITEM" => { uri: ->(id:) { "users/self/activity_stream/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "HIDE_ALL_STREAM_ITEMS" => { uri: ->() { "users/self/activity_stream" }, method: "DELETE", parameters: [] },
    "USERS_UPLOAD_FILE" => { uri: ->(user_id:) { "users/#{user_id}/files" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_USER_DETAILS" => { uri: ->(id:) { "users/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["uuid", "last_login"], "items"=>{"type"=>"string"}}] },
    "CREATE_USER" => { uri: ->(account_id:) { "accounts/#{account_id}/users" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[short_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[sortable_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[time_zone]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[locale]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[terms_of_use]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[skip_registration]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pseudonym[unique_id]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pseudonym[password]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pseudonym[sis_user_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pseudonym[integration_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pseudonym[send_confirmation]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pseudonym[force_self_registration]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pseudonym[authentication_provider_id]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"communication_channel[type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"communication_channel[address]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"communication_channel[confirmation_url]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"communication_channel[skip_confirmation]", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"force_validations", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"enable_sis_reactivation", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"destination", "type"=>"URL", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"initial_enrollment_type", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pairing_code[code]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "DEPRECATED_SELF_REGISTER_USER" => { uri: ->(account_id:) { "accounts/#{account_id}/self_registration" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[name]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[short_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[sortable_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[time_zone]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[locale]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[terms_of_use]", "type"=>"boolean", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"pseudonym[unique_id]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"communication_channel[type]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"communication_channel[address]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "UPDATE_USER_SETTINGS" => { uri: ->(id:) { "users/#{id}/settings" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"manual_mark_as_read", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"release_notes_badge_disabled", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"collapse_global_nav", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"hide_dashcard_color_overlays", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"comment_library_suggestions_enabled", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"elementary_dashboard_disabled", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_CUSTOM_COLORS" => { uri: ->(id:) { "users/#{id}/colors" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_CUSTOM_COLOR" => { uri: ->(id:, asset_string:) { "users/#{id}/colors/#{asset_string}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"asset_string", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_CUSTOM_COLOR" => { uri: ->(id:, asset_string:) { "users/#{id}/colors/#{asset_string}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"asset_string", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"hexcode", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_DASHBOARD_POSITIONS" => { uri: ->(id:) { "users/#{id}/dashboard_positions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_DASHBOARD_POSITIONS" => { uri: ->(id:) { "users/#{id}/dashboard_positions" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "EDIT_USER" => { uri: ->(id:) { "users/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[short_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[sortable_name]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[time_zone]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[email]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[locale]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[avatar][token]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[avatar][url]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[title]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[bio]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"form", "name"=>"user[pronouns]", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "MERGE_USER_INTO_ANOTHER_USER_DESTINATION_USER_ID" => { uri: ->(id:, destination_user_id:) { "users/#{id}/merge_into/#{destination_user_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"destination_user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "MERGE_USER_INTO_ANOTHER_USER_ACCOUNTS" => { uri: ->(id:, destination_account_id:, destination_user_id:) { "users/#{id}/merge_into/accounts/#{destination_account_id}/users/#{destination_user_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"destination_account_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"destination_user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SPLIT_MERGED_USERS_INTO_SEPARATE_USERS" => { uri: ->(id:) { "users/#{id}/split" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "GET_PANDATA_EVENTS_JWT_TOKEN_AND_ITS_EXPIRATION_DATE" => { uri: ->() { "users/self/pandata_events_token" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"app_key", "type"=>"string", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_USERS_MOST_RECENTLY_GRADED_SUBMISSIONS" => { uri: ->(id:) { "users/#{id}/graded_submissions" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"include", "type"=>"array", "format"=>nil, "required"=>false, "deprecated"=>false, "enum"=>["assignment"], "items"=>{"type"=>"string"}}, {"paramType"=>"query", "name"=>"only_current_enrollments", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"only_published_assignments", "type"=>"boolean", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "GET_USER_PROFILE" => { uri: ->(user_id:) { "users/#{user_id}/profile" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_AVATAR_OPTIONS" => { uri: ->(user_id:) { "users/#{user_id}/avatars" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_USER_PAGE_VIEWS" => { uri: ->(user_id:) { "users/#{user_id}/page_views" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"start_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}, {"paramType"=>"query", "name"=>"end_time", "type"=>"DateTime", "format"=>nil, "required"=>false, "deprecated"=>false}] },
    "STORE_CUSTOM_DATA" => { uri: ->(user_id:) { "users/#{user_id}/custom_data" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"ns", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"data", "type"=>"JSON", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LOAD_CUSTOM_DATA" => { uri: ->(user_id:) { "users/#{user_id}/custom_data" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"ns", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_CUSTOM_DATA" => { uri: ->(user_id:) { "users/#{user_id}/custom_data" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"user_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"query", "name"=>"ns", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_COURSE_NICKNAMES" => { uri: ->() { "users/self/course_nicknames" }, method: "GET", parameters: [] },
    "GET_COURSE_NICKNAME" => { uri: ->(course_id:) { "users/self/course_nicknames/#{course_id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SET_COURSE_NICKNAME" => { uri: ->(course_id:) { "users/self/course_nicknames/#{course_id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"nickname", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "REMOVE_COURSE_NICKNAME" => { uri: ->(course_id:) { "users/self/course_nicknames/#{course_id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "CLEAR_COURSE_NICKNAMES" => { uri: ->() { "users/self/course_nicknames" }, method: "DELETE", parameters: [] },
    "CREATE_WEBHOOK_SUBSCRIPTION" => { uri: ->() { "/lti/subscriptions" }, method: "POST", parameters: [{"paramType"=>"form", "name"=>"subscription[ContextId]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"subscription[ContextType]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"subscription[EventTypes]", "type"=>"Array", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"subscription[Format]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"subscription[TransportMetadata]", "type"=>"Object", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"form", "name"=>"subscription[TransportType]", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "DELETE_WEBHOOK_SUBSCRIPTION" => { uri: ->(id:) { "/lti/subscriptions/#{id}" }, method: "DELETE", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_SINGLE_WEBHOOK_SUBSCRIPTION" => { uri: ->(id:) { "/lti/subscriptions/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "UPDATE_WEBHOOK_SUBSCRIPTION" => { uri: ->(id:) { "/lti/subscriptions/#{id}" }, method: "PUT", parameters: [{"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "LIST_ALL_WEBHOOK_SUBSCRIPTION_FOR_TOOL_PROXY" => { uri: ->() { "/lti/subscriptions" }, method: "GET", parameters: [] },
    "LIST_COURSES_WITH_THEIR_LATEST_EPUB_EXPORT" => { uri: ->() { "epub_exports" }, method: "GET", parameters: [] },
    "CREATE_EPUB_EXPORT" => { uri: ->(course_id:) { "courses/#{course_id}/epub_exports" }, method: "POST", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] },
    "SHOW_EPUB_EXPORT" => { uri: ->(course_id:, id:) { "courses/#{course_id}/epub_exports/#{id}" }, method: "GET", parameters: [{"paramType"=>"path", "name"=>"course_id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}, {"paramType"=>"path", "name"=>"id", "type"=>"string", "format"=>nil, "required"=>true, "deprecated"=>false}] }
  }
end